
/*----------------------------------------------------------*/
/*  KNBCWHD.PL - welding / Heating Distortion Rule Knowledge*/
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic ruleSolution/1.

% Rule: 1.1
if errorMemberType(flangePlate)
   then ruleSolution(weldingHeatingDistortion_1).


/*----------------------------------------------------------*/
/*  Solutions                                               */
/*----------------------------------------------------------*/

% Solution 1
ruleSolution(weldingHeatingDistortion_1,weldingHeatingDistortion,`COAT-R001`,`weldingHeatingDistortion Rule Solution`,[],
`Rule base not yet implemented for  Welding / Heating Distortion Rule errors.
`).
