:-      multifile( proweb_page         / 2 ).
:-      multifile( proweb_form         / 2 ).

main_goal :-
        findall(
                 (verbatim@Env = unencoded@Value),
                 (
                   env( Env ),
                   (
                      env( Env, Values )
                   ->
                      Values = [Value|_]
                   ;
                      Value = unknown
                   )
                 ),
                 Envs
               ),
        findall(
                 (verbatim@String = verbatim@Value),
                 proweb_string( String, Value ),
                 Strings
               ),
        findall(
                 (verbatim@Setting = verbatim@Value),
                 proweb_setting( Setting, Value ),
                 Settings
               ),
        findall(
                 verbatim@File,
                 source_file( File ),
                 Files
               ),
        proweb_send_form( environment(Envs,Strings,Settings,Files) ).


proweb_page(
             [environment(_,_,_,_)],
             [
               html,
               head @ title @ verbatim @ `Environment`,
               body @ form(target='pws_demo_frame') @ proweb(form),
               /html
             ]
           ).


proweb_form(
             environment(Envs,Strings,Settings,Files),
             [
               h2 @ `ProWeb Strings`,
               p @ ol @ Strings,
               h2 @ `ProWeb Settings`,
               p @ ol @ Settings,
               h2 @ `Environment Variables`,
               p @ ol @ Envs,
               h2 @ `Source Files`,
               p @ ol @ Files
             ]
           ).


env( server_software   ).
env( server_name       ).
env( gateway_interface ).
env( server_protocol   ).
env( server_port       ).
env( request_method    ).
env( path_info         ).
env( path_translated   ).
env( script_name       ).
env( query_string      ).
env( remote_host       ).
env( remote_addr       ).
env( remote_user       ).
env( auth_type         ).
env( content_type      ).
env( content_length    ).
env( http_accept       ).
env( http_user_agent   ).
