/*----------------------------------------------------------*/
/*  FIXS main parts                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
%  procgi_make('c:\inetpub\fixs\proweb.ovl').  
% Open MESS 4 object file
:- load_files('c:\spratt\win32 dev\mess 4.pc').


% Open SCBR source file
:- load_files('c:\fixs\scbr\scbr.pl').
    
:- ensure_loaded( system(proweb) ).

     
:- multifile(proweb_page   /9).
:- multifile(proweb_form   /9).
:- multifile(proweb_question   /9).
:- multifile(proweb_help   /9).

 
% Setting environment for FIXS system   
  proweb_startup :-
  proweb_setting( main_goal, main_goal ),                      % name main goal
  proweb_setting( max_forms_per_page,0 ),                      % set page number to output  
 
 proweb_setting( path_html, 'c:\inetpub\fixs\Fixshtml' ),     % html file folder
  proweb_setting( path_data, 'c:\inetpub\fixs\Fixsimages' ),     % html file folder
  proweb_setting( path_temp, 'c:\inetpub\fixs\Fixstemp' ),     % html file folder
  proweb_setting( alias_temp, '/fixs/Fixstemp' ),              % Temporary file folder
  proweb_setting( alias_home, '/fixs' ),                        
  proweb_setting( alias_data, '/fixs/Fixsimages' ),            % figure file folder

/*
  proweb_setting( path_temp, 'c:\inetpub\proweb\temp' ),
  proweb_setting( path_html, 'c:\inetpub\proweb\html' ),
  proweb_setting( path_data, '../images' ),
  proweb_setting( alias_temp, '/proweb/temp' ),              % Temporary file folder
  proweb_setting( alias_home, '/proweb' ),                        
  proweb_setting( alias_data, '/proweb/images' ),            % figure file folder
*/

  proweb_setting( help,on). 

:- proweb_startup.
:- proweb_trace( `Start Fixs !`).
     
main_goal :-
  (proweb_returned_input(app_menu,App)
  ->proweb_assert(app_menu(App))
   ;proweb_call(app_menu(App))
   ),
   app(App,Goal),  
   call(Goal).


   app('bsolution',bsolution).
   app('fsolution',fsolution).
   app('preferences',preferences).

   app('management',management).
   app('casemanagement',casemanagement).
   app('mywebfixs',mywebfixs).
   app('discussion',discussion).
   app('submitcase',submitcase).
   app('login',login).
   app('application',application).
