proweb_page( [ client_form(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- client_form_title_file( Form, Title, _ ).

proweb_form( client_form(Form), [include(File),Footer] ) :-
  client_form_title_file( Form, _, File ),
  client_form_footer( Form, Footer ).

client_form_title_file( login_form,   `login_form`,    'white.htm' ).
client_form_title_file( loginiout_form,   `login in form`,    'white.htm' ).
client_form_title_file( loginoout_form,   `login out form`,    'white.htm' ).

client_form_title_file( apply_form,   `apply_form`,    'white.htm' ).

client_form_title_file( mywebfixs_form,   `mywebfixs_form`,    'white.htm' ).



/* ---------------------------------------------------------------------------------- 
  Follows are the forms for login
   ---------------------------------------------------------------------------------- */

client_form_footer(login_form, 
              [p,'Note: Current WEB-FIXS offers an default account to anyone.'
               ,p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Enter Username and Password`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Username`,/b,/td,
               td,b,?username_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
               td,b,?userpsword_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_manage.htm')
          ]
        ). 

   proweb_question(username_input,
           [ method  = input,type = string,prefill = MyString,cols = 30]) :- MyString = ``.    

   proweb_question(userpsword_input,
           [ method  = password,type = string,prefill = MyString,cols = 30]) :- MyString = ``.    


client_form_footer( loginiout_form,
              [
            p(align='center') @ include('link_manage.htm')
              ] ) :-
  proweb_returned_answer( username_input,UsernameInput),
  proweb_returned_answer( userpsword_input,UserpswordInput).

client_form_footer( loginoout_form,
        [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Sorry, This is wrong password !`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Your USERNAME: `,/b,/td,
               td,b,UsernameInput,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Your USER PASSWORD: `,/b,/td,
               td,b,UserpswordInput,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`If you really want to use Fixs, please to apply an account first !`,/b,/td,
               /tr,
               /table,
            p(align='center') @ include('link_manage.htm')
           ]):-
  proweb_returned_answer( username_input,       UsernameInput      ),
  proweb_returned_answer( userpsword_input,     UserpswordInput    ).


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for apply
   ---------------------------------------------------------------------------------- */
client_form_footer(apply_form,
              [h3 @ `Add User information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Name`,/b,/td,
               td,b,?userNameINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Email`,/b,/td,
                td,b,?userEmailINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
                td,b,?userPasswordINPUT,/b,/td,
                tr(bgcolor='#FFFFC0'),
               td,b,`Address`,/b,/td,
               td,b,?userAddressINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Company`,/b,/td,
               td,b,?userCompanyINPUT,/b,/td,
              /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`PhoneNO`,/b,/td,
                td,b,?userPhoneNOINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`GroupID`,/b,/td,
               td,b,?userGroupIDINPUT,/b,/td,
               /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for mywebfixs
   ---------------------------------------------------------------------------------- */
client_form_footer(mywebfixs_form, 
              [p,'Note: Current WEB-FIXS'
               ,p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Enter Your email address`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`email address`,/b,/td,
               td,b,?useremail_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_manage.htm')
          ]
        ). 

   proweb_question(useremail_input,
           [ method  = input,type = string,prefill = MyString,cols = 30]) :- MyString = ``.    


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for mywebfixs
   ---------------------------------------------------------------------------------- */
