/*----------------------------------------------------------*/
/*  FIXS Find Solution Controls 2.pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
proweb_page( [ finds_form3(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- finds_form3_title_file( Form, Title, _ ).

proweb_form( finds_form3(Form), [include(File),Footer] ) :-
  finds_form3_title_file( Form, _, File ),
  finds_form3_footer( Form, Footer ).


/* Mislocated Member */
/* Title: Mislocated Member */
finds_form3_title_file(mislocatedMember1,   `Mislocated Member Input Form`,    'white.htm' ).
finds_form3_footer(mislocatedMember1,
              [p,
            table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Mislocated Member`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedMember10,/b,/td,
               td,b,`- Intersection Occurs ?`,/b,/td,
               td,b,?mislocatedMemberIntersection_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedMember11,/b,/td,
               td,b,`Intersected Item:`,/b,/td,
               td,b,?mislocatedMemberIntersectedItem_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedMember12,/b,/td,
               td,b,`- Inverted Placement ?`,/b,/td,
               td,b,?mislocatedMemberInvertedPlacement_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedMember13,/b,/td,
               td,b,`Distance to Correct Location:`,/b,/td,
               td,b,?mislocatedMemberDistanceCorrectLocation_input,/b,/td,
               td,b@AmislocatedMember1_10,/b,/td,
              /tr,/table,
                p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ) :-
proweb_call(fixsunits(mislocatedMember1_10,AmislocatedMember1_10)),
proweb_call(fixshighlight(mislocatedMember10,AmislocatedMember10)),
proweb_call(fixshighlight(mislocatedMember11,AmislocatedMember11)),
proweb_call(fixshighlight(mislocatedMember12,AmislocatedMember12)),
proweb_call(fixshighlight(mislocatedMember13,AmislocatedMember13)).


/* Stiffener #1 */
/* Title: Stiffener */
finds_form3_title_file(stiffener1,   `Stiffener #1 Input Form`,    'white.htm' ).
finds_form3_footer(stiffener1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Stiffener #1`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                 td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Design Conditions`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener10,/b,/td,
               td,b,`Stiffener Type:`,/b,/td,
               td,b,?stiffenerType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener11,/b,/td,
               td,b,`Thickness:`,/b,/td,
               td,b,?stiffenerSpecifiedThickness_input,/b,/td,
               td,b@Astiffener1_5,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener12,/b,/td,
               td,b,`Length:`,/b,/td,
               td,b,?stiffenerSpecifiedLength_input,/b,/td,
               td,b@Astiffener1_8,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener13,/b,/td,
               td,b,`Width:`,/b,/td,
               td,b,?stiffenerSpecifiedWidth_input,/b,/td,
               td,b@Astiffener1_11,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener14,/b,/td,
               td,b,`Web Thickness:`,/b,/td,
               td,b,?stiffenerSpecifiedWebThickness_input,/b,/td,
               td,b@Astiffener1_14,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener15,/b,/td,
               td,b,`Clip Dim. on Web:`,/b,/td,
               td,b,?stiffenerSpecifiedWebClipDimension_input,/b,/td,
               td,b@Astiffener1_17,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener16,/b,/td,
               td,b,`Clip Dim. on Flange:`,/b,/td,
               td,b,?stiffenerSpecifiedFlangeClipDimension_input,/b,/td,
               td,b@Astiffener1_20,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener17,/b,/td,
               td,b,`Spcg. Btwn. Stiffeners:`,/b,/td,
               td,b,?stiffenerSpecifiedSpacing_input,/b,/td,
               td,b@Astiffener1_23,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Actual Conditions`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener18,/b,/td,
               td,b,`- Category 'C' Qualified ?`,/b,/td,
               td,b,?stiffenerActualCategoryCFlange_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener19,/b,/td,
               td,b,`- Tens. Flange Clipped ?`,/b,/td,
               td,b,?stiffenerActualTensionFlangeClipped_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener110,/b,/td,
               td,b,`- Comp. Flange Clipped ?`,/b,/td,
               td,b,?stiffenerActualCompFlangeClipped_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener111,/b,/td,
               td,b,`- Middle 50% of Sole ?`,/b,/td,
               td,b,?stiffenerActualMiddleOfSolePlate_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener112,/b,/td,
               td,b,`Out of Plumbness:`,/b,/td,
               td,b,?stiffenerActualPlumbness_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(stiffener1_5,Astiffener1_5)),
proweb_call(fixsunits(stiffener1_8,Astiffener1_8)),
proweb_call(fixsunits(stiffener1_11,Astiffener1_11)),
proweb_call(fixsunits(stiffener1_14,Astiffener1_14)),
proweb_call(fixsunits(stiffener1_17,Astiffener1_17)),
proweb_call(fixsunits(stiffener1_20,Astiffener1_20)),
proweb_call(fixsunits(stiffener1_23,Astiffener1_23)),
proweb_call(fixshighlight(stiffener10,Astiffener10)),
proweb_call(fixshighlight(stiffener11,Astiffener11)),
proweb_call(fixshighlight(stiffener12,Astiffener12)),
proweb_call(fixshighlight(stiffener13,Astiffener13)),
proweb_call(fixshighlight(stiffener14,Astiffener14)),
proweb_call(fixshighlight(stiffener15,Astiffener15)),
proweb_call(fixshighlight(stiffener16,Astiffener16)),
proweb_call(fixshighlight(stiffener17,Astiffener17)),
proweb_call(fixshighlight(stiffener18,Astiffener18)),
proweb_call(fixshighlight(stiffener19,Astiffener19)),
proweb_call(fixshighlight(stiffener110,Astiffener110)),
proweb_call(fixshighlight(stiffener111,Astiffener111)),
proweb_call(fixshighlight(stiffener112,Astiffener112)).


/* Stiffener #2 */
/* Title: Stiffener - Attachment Details */
finds_form3_title_file(stiffener2,   `Stiffener - Attachment Details Input Form`,    'white.htm' ).
finds_form3_footer(stiffener2,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Stiffener - Attachment Details`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Design Attachments`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener20,/b,/td,
               td,b,`- Diaphragm or Brace Attachment ?`,/b,/td,
               td,b,?stiffenerSpecifiedDiaphragmAttachment_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener21,/b,/td,
               td,b,`Flange Attachment:`,/b,/td,
               td,b,?stiffenerSpecifiedFlangeAttachment_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener22,/b,/td,
               td,b,`Tension Flange Attachment Type:`,/b,/td,
               td,b,?stiffenerSpecifiedTensionFlangeAttachmentType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener23,/b,/td,
               td,b,`Compression Flange Attachment Type:`,/b,/td,
               td,b,?stiffenerSpecifiedCompFlangeAttachmentType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Actual Attachments`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener24,/b,/td,
               td,b,`- Tension Flange Attached ?`,/b,/td,
               td,b,?stiffenerActualTensionFlangeAttached_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener25,/b,/td,
               td,b,`- Compression Flange Attached ?`,/b,/td,
               td,b,?stiffenerActualCompFlangeAttached_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener26,/b,/td,
               td,b,`Tension Flange Attachment Type:`,/b,/td,
               td,b,?stiffenerActualTensionFlangeAttachmentType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astiffener27,/b,/td,
               td,b,`Compression Flange Attachment Type:`,/b,/td,
               td,b,?stiffenerActualCompFlangeAttachmentType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixshighlight(stiffener20,Astiffener20)),
proweb_call(fixshighlight(stiffener21,Astiffener21)),
proweb_call(fixshighlight(stiffener22,Astiffener22)),
proweb_call(fixshighlight(stiffener23,Astiffener23)),
proweb_call(fixshighlight(stiffener24,Astiffener24)),
proweb_call(fixshighlight(stiffener25,Astiffener25)),
proweb_call(fixshighlight(stiffener26,Astiffener26)),
proweb_call(fixshighlight(stiffener27,Astiffener27)).
 

/* Miscut Member */
/* Title: Miscut Member */
finds_form3_title_file(miscutMember1,   `Miscut Member Input Form`,    'white.htm' ).
finds_form3_footer(miscutMember1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Miscut Member`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmiscutMember10,/b,/td,
               td,b,`Miscut Occurs At:`,/b,/td,
               td,b,?miscutMemberErrorOccursAt_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmiscutMember11,/b,/td,
               td,b,`Specified Sweep:`,/b,/td,
               td,b,?miscutMemberSpecifiedSweep_input,/b,/td,
               td,b@AmiscutMember1_4,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmiscutMember12,/b,/td,
               td,b,`Actual Sweep:`,/b,/td,
               td,b,?miscutMemberActualSweep_input,/b,/td,
               td,b@AmiscutMember1_7,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmiscutMember13,/b,/td,
               td,b,`- Specified Clipped ?`,/b,/td,
               td,b,?miscutMemberSpecifiedClipped_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmiscutMember14,/b,/td,
               td,b,`- Actual Clipped ?`,/b,/td,
               td,b,?miscutMemberActualClipped_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmiscutMember15,/b,/td,
               td,b,`- Clipped Dimensions Correct ?`,/b,/td,
               td,b,?miscutMemberClippedDimensionsCorrect_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(miscutMember1_4,AmiscutMember1_4)),
proweb_call(fixsunits(miscutMember1_7,AmiscutMember1_7)),
proweb_call(fixshighlight(miscutMember10,AmiscutMember10)),
proweb_call(fixshighlight(miscutMember11,AmiscutMember11)),
proweb_call(fixshighlight(miscutMember12,AmiscutMember12)),
proweb_call(fixshighlight(miscutMember13,AmiscutMember13)),
proweb_call(fixshighlight(miscutMember14,AmiscutMember14)),
proweb_call(fixshighlight(miscutMember15,AmiscutMember15)).
/* Stress #1 */
/* Title: Stress */
finds_form3_title_file(stress1,   `Stress #1 Input Form`,    'white.htm' ).
finds_form3_footer(stress1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Stress #1`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress10,/b,/td,
               td,b,`Error Member Stress Type:`,/b,/td,
               td,b,?stressErrorMemberType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress11,/b,/td,
               td,b,`Error Member Stress Level:`,/b,/td,
               td,b,?stressErrorMemberLevel_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress12,/b,/td,
               td,b,`Attached Member Stress Level:`,/b,/td,
               td,b,?stressAttachMemberLevel_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress13,/b,/td,
               td,b,`Fatigue Concerns:`,/b,/td,
               td,b,?stressFatigueConcerns_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress14,/b,/td,
               td,b,`- Stress Fracture(s) ?`,/b,/td,
               td,b,?stressFractures_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixshighlight(stress10,Astress10)),
proweb_call(fixshighlight(stress11,Astress11)),
proweb_call(fixshighlight(stress12,Astress12)),
proweb_call(fixshighlight(stress13,Astress13)),
proweb_call(fixshighlight(stress14,Astress14)).

/* Stress #2 */
/* Title: Stress Fractures */
finds_form3_title_file(stress2,   `Stress #2 Input Form`,    'white.htm' ).
finds_form3_footer(stress2,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Stress #2`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress20,/b,/td,
               td,b,`Maximum Gap Between Fracture(s):`,/b,/td,
               td,b,?stressMaxGap_input,/b,/td,
               td,b@Astress2_2,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress21,/b,/td,
               td,b,`Angle of Bend at Fracture(s):`,/b,/td,
               td,b,?stressAngleOfBend_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Astress22,/b,/td,
               td,b,`Number of Fractures at Location:`,/b,/td,
               td,b,?stressNumberOfFractures_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(stress2_2,Astress2_2)),
proweb_call(fixshighlight(stress20,Astress20)),
proweb_call(fixshighlight(stress21,Astress21)),
proweb_call(fixshighlight(stress22,Astress22)).
 
   
/* Lamination */
/* Title: Lamination */
finds_form3_title_file(lamination1,   `Lamination Input Form`,    'white.htm' ).
finds_form3_footer(lamination1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Lamination`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Alamination10,/b,/td,
               td,b,`Surface Lamination Type:`,/b,/td,
               td,b,?laminationSurfaceType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Alamination11,/b,/td,
               td,b,`Mapping / Documentation:`,/b,/td,
               td,b,?laminationMappingDocumentation_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Alamination12,/b,/td,
               td,b,`Test Required:`,/b,/td,
               td,b,?laminationTestRequired_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Alamination13,/b,/td,
               td,b,`Area w.r.t. Plate Area:`,/b,/td,
               td,b,?laminationAreaToPlateArea_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Alamination14,/b,/td,
               td,b,`Length of Deformity:`,/b,/td,
               td,b,?laminationLengthOfDeformity_input,/b,/td,
               td,b@Alamination1_10,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Alamination15,/b,/td,
               td,b,`Width of Deformity:`,/b,/td,
               td,b,?laminationWidthOfDeformity_input,/b,/td,
               td,b@Alamination1_13,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(lamination1_10,Alamination1_10)),
proweb_call(fixsunits(lamination1_13,Alamination1_13)),
proweb_call(fixshighlight(lamination10,Alamination10)),
proweb_call(fixshighlight(lamination11,Alamination11)),
proweb_call(fixshighlight(lamination12,Alamination12)),
proweb_call(fixshighlight(lamination13,Alamination13)),
proweb_call(fixshighlight(lamination14,Alamination14)),
proweb_call(fixshighlight(lamination15,Alamination15)).



/* Nicks & Gouges */
/* Title: Nicks & Gouges */
finds_form3_title_file(nicksGouges1,   `Nicks & Gouges Input Form`,    'white.htm' ).
finds_form3_footer(nicksGouges1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, `Nicks & Gouges`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges10,/b,/td,
               td,b,`Type:`,/b,/td,
               td,b,?nickGougeType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges11,/b,/td,
               td,b,`Depth:`,/b,/td,
               td,b,?nickGougeDepth_input,/b,/td,
               td,b@AnicksGouges1_4,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges12,/b,/td,
               td,b,`Length:`,/b,/td,
               td,b,?nickGougeLength_input,/b,/td,
               td,b@AnicksGouges1_7,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges13,/b,/td,
               td,b,`Reduction of Area:`,/b,/td,
               td,b,?nickGougeReductionOfArea_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges14,/b,/td,
               td,b,`Number Near Location:`,/b,/td,
               td,b,?nickGougeNumberNearLocation_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges15,/b,/td,
               td,b,`- Perpendicular to Bolt Hole ?`,/b,/td,
               td,b,?nickGougePerpendicularToBoltHole_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AnicksGouges16,/b,/td,
               td,b,`- Grinding Causes Edge or End Distance Problem ?`,/b,/td,
               td,b,?nickGougeGrindEdgeEndDistance_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(nicksGouges1_4,AnicksGouges1_4)),
proweb_call(fixsunits(nicksGouges1_7,AnicksGouges1_7)),
proweb_call(fixshighlight(nicksGouges10,AnicksGouges10)),
proweb_call(fixshighlight(nicksGouges11,AnicksGouges11)),
proweb_call(fixshighlight(nicksGouges12,AnicksGouges12)),
proweb_call(fixshighlight(nicksGouges13,AnicksGouges13)),
proweb_call(fixshighlight(nicksGouges14,AnicksGouges14)),
proweb_call(fixshighlight(nicksGouges15,AnicksGouges15)),
proweb_call(fixshighlight(nicksGouges16,AnicksGouges16)).
 
 


/* Surface Alignment */
/* Title: Surface Alignment */
finds_form3_title_file(surfaceAlignment1,   ` Surface Alignment Input Form`,    'white.htm' ).
finds_form3_footer(surfaceAlignment1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, ` Surface Alignment`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,` --`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AsurfaceAlignment10,/b,/td,
               td,b,`- Full Surface Contact ?`,/b,/td,
               td,b,?surfaceFullSurfaceContact_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AsurfaceAlignment11,/b,/td,
               td,b,`- Fill Plate Specified ?`,/b,/td,
               td,b,?surfaceFillPlate_input,/b,/td,
               td,b,`--`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AsurfaceAlignment12,/b,/td,
               td,b,`- Heat Procedure Approved ?`,/b,/td,
               td,b,?surfaceHeatProcedure_input,/b,/td,
               td,b,`--`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AsurfaceAlignment13,/b,/td,
               td,b,`Contact Spacing:`,/b,/td,
               td,b,?surfaceContactSpacing_input,/b,/td,
               td,b@AsurfaceAlignment1_11,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AsurfaceAlignment14,/b,/td,
               td,b,`Percent Contact:`,/b,/td,
               td,b,?surfacePercentContact_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AsurfaceAlignment15,/b,/td,
               td,b,`Fill Plate Thickness:`,/b,/td,
               td,b,?surfaceFillPlateThickness_input,/b,/td,
               td,b@AsurfaceAlignment1_17,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(surfaceAlignment1_11,AsurfaceAlignment1_11)),
proweb_call(fixsunits(surfaceAlignment1_17,AsurfaceAlignment1_17)),
proweb_call(fixshighlight(surfaceAlignment10,AsurfaceAlignment10)),
proweb_call(fixshighlight(surfaceAlignment11,AsurfaceAlignment11)),
proweb_call(fixshighlight(surfaceAlignment12,AsurfaceAlignment12)),
proweb_call(fixshighlight(surfaceAlignment13,AsurfaceAlignment13)),
proweb_call(fixshighlight(surfaceAlignment14,AsurfaceAlignment14)),
proweb_call(fixshighlight(surfaceAlignment15,AsurfaceAlignment15)).
 
 
  

/* distortion */
/* Title: distortion */
finds_form3_title_file(distortion1,   ` distortion Input Form`,    'white.htm' ).
finds_form3_footer(distortion1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b, ` distortion`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
                /tr,
              tr(bgcolor='#FFFFC0'),
               td,b@Adistortion10,/b,/td,
               td,b,`Cause of Distortion:`,/b,/td,
               td,b,?causeOfDistortion_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Adistortion11,/b,/td,
               td,b,`Type of Distortion:`,/b,/td,
               td,b,?typeOfDistortion_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Adistortion12,/b,/td,
               td,b,`Designed Temperature:`,/b,/td,
               td,b,?designedTemperature_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Adistortion13,/b,/td,
               td,b,`Actual Temperature:`,/b,/td,
               td,b,?actualTemperature_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ) :-
proweb_call(fixshighlight(distortion10,Adistortion10)),
proweb_call(fixshighlight(distortion11,Adistortion11)),
proweb_call(fixshighlight(distortion12,Adistortion12)),
proweb_call(fixshighlight(distortion13,Adistortion13)).


proweb_question(mislocatedMemberIntersection_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedMemberIntersection_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedMemberIntersectedItem_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedMemberIntersectedItem_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedMemberInvertedPlacement_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedMemberInvertedPlacement_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualCategoryCFlange_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualCategoryCFlange_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualTensionFlangeClipped_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualTensionFlangeClipped_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualCompFlangeClipped_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualCompFlangeClipped_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualMiddleOfSolePlate_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualMiddleOfSolePlate_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerSpecifiedDiaphragmAttachment_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerSpecifiedDiaphragmAttachment_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerSpecifiedFlangeAttachment_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerSpecifiedFlangeAttachment_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerSpecifiedTensionFlangeAttachmentType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerSpecifiedTensionFlangeAttachmentType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerSpecifiedCompFlangeAttachmentType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerSpecifiedCompFlangeAttachmentType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualTensionFlangeAttached_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualTensionFlangeAttached_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualCompFlangeAttached_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualCompFlangeAttached_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualTensionFlangeAttachmentType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualTensionFlangeAttachmentType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stiffenerActualCompFlangeAttachmentType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stiffenerActualCompFlangeAttachmentType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(miscutMemberErrorOccursAt_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(miscutMemberErrorOccursAt_input(AllStrings,AllValues,Strings,Value)).
proweb_question(miscutMemberSpecifiedClipped_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(miscutMemberSpecifiedClipped_input(AllStrings,AllValues,Strings,Value)).
proweb_question(miscutMemberActualClipped_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(miscutMemberActualClipped_input(AllStrings,AllValues,Strings,Value)).
proweb_question(miscutMemberClippedDimensionsCorrect_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(miscutMemberClippedDimensionsCorrect_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stressErrorMemberType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stressErrorMemberType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stressErrorMemberLevel_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stressErrorMemberLevel_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stressAttachMemberLevel_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stressAttachMemberLevel_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stressFatigueConcerns_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stressFatigueConcerns_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stressFractures_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stressFractures_input(AllStrings,AllValues,Strings,Value)).
proweb_question(stressNumberOfFractures_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(stressNumberOfFractures_input(AllStrings,AllValues,Strings,Value)).
proweb_question(laminationSurfaceType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(laminationSurfaceType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(laminationMappingDocumentation_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(laminationMappingDocumentation_input(AllStrings,AllValues,Strings,Value)).
proweb_question(laminationTestRequired_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(laminationTestRequired_input(AllStrings,AllValues,Strings,Value)).
proweb_question(laminationAreaToPlateArea_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(laminationAreaToPlateArea_input(AllStrings,AllValues,Strings,Value)).
proweb_question(nickGougeType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(nickGougeType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(nickGougeReductionOfArea_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(nickGougeReductionOfArea_input(AllStrings,AllValues,Strings,Value)).
proweb_question(nickGougeNumberNearLocation_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(nickGougeNumberNearLocation_input(AllStrings,AllValues,Strings,Value)).
proweb_question(nickGougePerpendicularToBoltHole_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(nickGougePerpendicularToBoltHole_input(AllStrings,AllValues,Strings,Value)).
proweb_question(nickGougeGrindEdgeEndDistance_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(nickGougeGrindEdgeEndDistance_input(AllStrings,AllValues,Strings,Value)).
proweb_question(surfaceFullSurfaceContact_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(surfaceFullSurfaceContact_input(AllStrings,AllValues,Strings,Value)).
proweb_question(surfaceFillPlate_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(surfaceFillPlate_input(AllStrings,AllValues,Strings,Value)).
proweb_question(surfaceHeatProcedure_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(surfaceHeatProcedure_input(AllStrings,AllValues,Strings,Value)).
proweb_question(causeOfDistortion_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(causeOfDistortion_input(AllStrings,AllValues,Strings,Value)).
proweb_question(typeOfDistortion_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(typeOfDistortion_input(AllStrings,AllValues,Strings,Value)).

proweb_question(mislocatedMemberDistanceCorrectLocation_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(mislocatedMemberDistanceCorrectLocation_input(MyString)).
proweb_question(stiffenerSpecifiedThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedThickness_input(MyString)).
proweb_question(stiffenerSpecifiedLength_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedLength_input(MyString)).
proweb_question(stiffenerSpecifiedWidth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedWidth_input(MyString)).
proweb_question(stiffenerSpecifiedWebThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedWebThickness_input(MyString)).
proweb_question(stiffenerSpecifiedWebClipDimension_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedWebClipDimension_input(MyString)).
proweb_question(stiffenerSpecifiedFlangeClipDimension_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedFlangeClipDimension_input(MyString)).
proweb_question(stiffenerSpecifiedSpacing_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerSpecifiedSpacing_input(MyString)).
proweb_question(stiffenerActualPlumbness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stiffenerActualPlumbness_input(MyString)).
proweb_question(miscutMemberSpecifiedSweep_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(miscutMemberSpecifiedSweep_input(MyString)).
proweb_question(miscutMemberActualSweep_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(miscutMemberActualSweep_input(MyString)).
proweb_question(stressMaxGap_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stressMaxGap_input(MyString)).
proweb_question(stressAngleOfBend_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(stressAngleOfBend_input(MyString)).
proweb_question(laminationLengthOfDeformity_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(laminationLengthOfDeformity_input(MyString)).
proweb_question(laminationWidthOfDeformity_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(laminationWidthOfDeformity_input(MyString)).
proweb_question(nickGougeDepth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(nickGougeDepth_input(MyString)).
proweb_question(nickGougeLength_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(nickGougeLength_input(MyString)).
proweb_question(surfaceContactSpacing_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(surfaceContactSpacing_input(MyString)).
proweb_question(surfacePercentContact_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(surfacePercentContact_input(MyString)).
proweb_question(surfaceFillPlateThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(surfaceFillPlateThickness_input(MyString)).
proweb_question(designedTemperature_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(designedTemperature_input(MyString)).
proweb_question(actualTemperature_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(actualTemperature_input(MyString)).

