/*----------------------------------------------------------*/
/*  FIXS password & application .pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

login :-
   webAssertAppPath,
   webGetFile(File),
   fixsinitialUsersonly(File),
   proweb_send_form(client_form(login_form)),
   proweb_returned_answer( username_input, UsernameInput ),
   proweb_returned_answer( userpsword_input, UserpswordInput ),
   proweb_returned_form(client_form(login_form)),
   account(_,UsernameInput,_,UserpswordInput,_,_,_,_)->
   proweb_send_form(client_form(loginiout_form));
   proweb_send_form(client_form(loginoout_form)).

application:-
   webAssertAppPath,
   webGetFile(File),
   fixsinitialUsersonly(File),
   proweb_send_form(client_form(apply_form)),
   proweb_returned_answer(userNameINPUT, UserName ),
   proweb_returned_answer(userEmailINPUT, UserEmail ),
   proweb_returned_answer(userPasswordINPUT, UserPassword ),
   proweb_returned_answer(userAddressINPUT, UserAddress ),
   proweb_returned_answer(userCompanyINPUT, UserCompany ),
   proweb_returned_answer(userPhoneNOINPUT, UserPhoneNO ),
   proweb_returned_answer(userGroupIDINPUT, UserGroupID ),
   proweb_returned_form(client_form(apply_form)),
   (ok_string(UserName),ok_string(UserEmail),ok_string(UserPassword)
   ,ok_string(UserAddress),ok_string(UserCompany),ok_string(UserPhoneNO),ok_string(UserGroupID)) ->
   webGetFile(File),
   fixsNumusers(Num_users),
   Num_users1 is Num_users + 1,
  \+account(_,_,UserEmail,_,_,_,_,_)->
   proweb_trace(`same_acount`),
   (asserta(account(Num_users1,UserName,UserEmail,UserPassword,UserAddress,UserCompany,UserPhoneNO,UserGroupID)),
   saveUser(Num_users1),
   number_string(Num_users1,Matom),
   profile(File,`GENERAL`,`NumberofUser`,Matom),   
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`not same_acount`),
   write(`Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).


mywebfixs :-
   webAssertAppPath,
   webGetFile(File),
   fixsinitialUsersonly(File),
   proweb_send_form(client_form(mywebfixs_form)),
   proweb_returned_answer(useremail_input, UserEmail ),
   proweb_returned_form(client_form(mywebfixs_form)),
   (def(epickstore,1,_) -> retractall(epickstore(_));true),
   assert(epickstore(UserEmail)),
   fixsNumusers(Num_users),
   proweb_send_form(manage_form(edit_users_form)),
   proweb_returned_answer(userNameINPUT, UserName ),
   proweb_returned_answer(userEmailINPUT, UserEmail ),
   proweb_returned_answer(userPasswordINPUT, UserPassword ),
   proweb_returned_answer(userAddressINPUT, UserAddress ),
   proweb_returned_answer(userCompanyINPUT, UserCompany ),
   proweb_returned_answer(userPhoneNOINPUT, UserPhoneNO ),
   proweb_returned_answer(userGroupIDINPUT, UserGroupID ),
   proweb_returned_form(manage_form(edit_users_form)),
   (ok_string(UserName),ok_string(UserEmail),ok_string(UserPassword)
   ,ok_string(UserAddress),ok_string(UserCompany),ok_string(UserPhoneNO),ok_string(UserGroupID)) ->
   epickstore(UseroldEmail),
   account(UserID,_,UseroldEmail,_,_,_,_,_),
   retract(account(_,_,UseroldEmail,_,_,_,_,_)),
  \+account(_,_,UserEmail,_,_,_,_,_)->
   proweb_trace(`not same_acount`),
   (asserta(account(UserID,UserName,UserEmail,UserPassword,UserAddress,UserCompany,UserPhoneNO,UserGroupID)),
   saveUser(Num_users),
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`same_acount`),
   ( write(`Un-success at editing dada, please to use a new email address and try again ! `),
     write(`<BR>Try`)
     ) ~> String,
  proweb_trace(String),
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).



