/*----------------------------------------------------------*/
/*  KNBRSURL.PL - Surface Lamination Rule Knowledge         */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

:- op(1100,fx,(if)),
   op(950,xfx,then),
   op(925,xfy,and),
   op(925,xfy,or).


/*----------------------------------------------------------*/
/*  Production Rules                                        */
/*----------------------------------------------------------*/

:- dynamic ruleSolution/1.

% Rule: 1.1
if (laminationSurfaceType(rolling)
  or laminationSurfaceType(beerTabs))
  then ruleSolution(surfaceLamination_1).


/*----------------------------------------------------------*/
/*  Solutions                                               */
/*----------------------------------------------------------*/

% Solution 1
ruleSolution(surfaceLamination_1,surfaceLamination,`SURL-R001`,`Surface Lamination Rule Solution`,[],
`These laminations have to be removed by grinding the surface.
`).

