/********************************************************
 * To make the overlay, execute the following:          *
 * ?- ensure_loaded(system(proweb)).                    *
 * ?- ensure_loaded('c:\inetpub\proweb\system\proweb'). *
 * ?- procgi_make('c:\inetpub\proweb\proweb.ovl').      *
 ********************************************************/
/* ProWeb - Second "Hello World!" Example */

:- multifile( proweb_page / 2 ).
:- multifile( proweb_form / 2 ).

main_goal :-
 proweb_setting( main_goal, main_goal ),                      % name main goal
  proweb_setting( max_forms_per_page,0 ),                      % set page number to output  
  proweb_setting( path_html, 'c:\inetpub\proweb\html' ),     % html file folder
  proweb_setting( path_data, 'c:\inetpub\proweb' ),     % html file folder
  proweb_setting( path_temp, 'c:\inetpub\proweb\temp' ),     % html file folder
  proweb_setting( alias_temp, '/proweb/temp' ),              % Temporary file folder
  proweb_setting( alias_home, '/proweb' ),                        
  proweb_setting( alias_data, '/proweb/images' ),            % figure file folder
  proweb_setting( help,on), 
  proweb_send_form( hello_form ).

proweb_page( hello_form, [include('c:/inetpub/proweb/html/hw2.htm')] ).

proweb_form( hello_form, 'Hello World!' ).
