/* ProWeb JavaScript Example - Written by Phil Vasey and Rebecca Shalfield
   Note: As written, it is intended to be used in ProWeb's test mode
   -----------------------------------------------------------------------

   This example shows how and where a JavaScript program should be placed
   in your Prolog/ProWeb source code so as to be embedded correctly
   in an HTML page. The JavaScript program here does not do anything useful;
   viewing the source of the HTML page in the browser will reveal that the
   JavaScript program is indeed there.
*/
:-      multifile( proweb_page         / 2 ).
:-      multifile( proweb_form         / 2 ).
:-      multifile( proweb_question     / 2 ).

main_goal :-
   proweb_send_form( script_form ).

proweb_page( _, []
           ).

proweb_form( script_form,
             [ script(language='javascript'),
               unencoded @ '<!-- ',
                           `function validateField(field) {`,
               unencoded @ `  if (field.value=="Bad") {`,
               unencoded @ `    alert("Invalid value!");`,
                           `    field.focus();`,
                           `  }`,
                           `}`,
               unencoded @ ' -->',
               /script
             ]
           ).
