management :-
   webAssertAppPath,
   webGetFile(File),
   fixsinitialDatafixs(File),
   proweb_send_form(manage_form(manage_welcome_form)),proweb_returned_form(manage_form(manage_welcome_form)),
   proweb_returned_answer( pickItems, PickItemsInput ),
   proweb_trace(PickItemsInput),
   manage(PickItemsInput).

discussion:-
   webAssertAppPath,
   webGetFile(File),
   fixsinitialDatafixs(File),
   proweb_trace(`findalltopic`),
   fixsNumtopics(Num_topics),
   getTopic(Num_topics),
   findall(TopicName,(topic_ac(_,TopicName,_,_,_)),Topic_list),
   (def(tliststore,1,_) -> retractall(tliststore(_));true),
   assert(tliststore(Topic_list)),
   proweb_trace(`assert`),
   proweb_send_form(manage_form(manage_topic_form)),proweb_returned_form(manage_form(manage_topic_form)),
   proweb_trace(`after topic form`),
   proweb_returned_answer(topicName_input,Topicn_input),
   proweb_trace(`Topicn_input`),
   proweb_trace(Topicn_input),
   (def(etopicstore,1,_) -> retractall(etopicstore(_));true),
   assert(etopicstore(Topicn_input)),
   proweb_trace(`before dicideusers`),
   proweb_send_form(manage_form(show_topic_form)),proweb_returned_form(manage_form(show_topic_form)),       
   proweb_returned_answer(findID,FindID_input),        
   proweb_trace('FindID_input'),
   atom_string(FindID_input,Astring),proweb_trace(Astring),
   edittopic(FindID_input).


manage(check_topic):-
   proweb_trace(`check_topic qqq`),
   proweb_trace(`findalltopic`),
   fixsNumtopics(Num_topics),
   getTopic(Num_topics),
   findall(TopicName,(topic_ac(_,TopicName,_,_,_)),Topic_list),
   (def(tliststore,1,_) -> retractall(tliststore(_));true),
   assert(tliststore(Topic_list)),
   proweb_trace(`assert`),
   proweb_send_form(manage_form(manage_topic_form)),proweb_returned_form(manage_form(manage_topic_form)),
   proweb_trace(`after topic form`),
   proweb_returned_answer(topicName_input,Topicn_input),
   proweb_trace(`Topicn_input`),
   proweb_trace(Topicn_input),
   (def(etopicstore,1,_) -> retractall(etopicstore(_));true),
   assert(etopicstore(Topicn_input)),
   proweb_trace(`before dicideusers`),
   proweb_send_form(manage_form(show_topic_form)),proweb_returned_form(manage_form(show_topic_form)),       
   proweb_returned_answer(findID,FindID_input),        
   proweb_trace('FindID_input'),
   atom_string(FindID_input,Astring),proweb_trace(Astring),
   edittopic(FindID_input).

manage(check_user):-
   proweb_trace(`2--check_user`),
   proweb_trace(`findall`),
   fixsNumusers(Num_users),
   getUser(Num_users),
   findall(Emailuser,(account(_,_,Emailuser,_,_,_,_,_)),Email_list),
   (def(eliststore,1,_) -> retractall(eliststore(_));true),
   assert(eliststore(Email_list)),
   proweb_trace(`assert`),
   proweb_send_form(manage_form(manage_user_form)),
   proweb_returned_answer(userEmailID_input,Email_input),
   proweb_returned_form(manage_form(manage_user_form)),
   proweb_trace(`userEmailID`),
   proweb_trace(Email_input),
   (def(epickstore,1,_) -> retractall(epickstore(_));true),
   assert(epickstore(Email_input)),
   proweb_trace(`before dicideusers`),
   proweb_send_form(manage_form(show_users_form)), 
   proweb_returned_answer(findID,FindID_input),        
   proweb_returned_form(manage_form(show_users_form)),      
   proweb_trace('FindID_input'),
   atom_string(FindID_input,Astring),proweb_trace(Astring),
   editusers(FindID_input).

manage(check_answer):-
   proweb_trace(`check_answer qqq`),
   proweb_trace(`findallanswer`),
   fixsNumanswers(Num_answers),
   getAnswer(Num_answers),
   findall(AnswerName,(answer_ac(_,AnswerName,_,_,_,_)),Answer_list),
   (def(aliststore,1,_) -> retractall(aliststore(_));true),
   assert(aliststore(Answer_list)),
   proweb_trace(`assert`),
   proweb_send_form(manage_form(manage_answer_form)),proweb_returned_form(manage_form(manage_answer_form)),
   proweb_trace(`after answer form`),
   proweb_returned_answer(answerName_input,Answern_input),
   proweb_trace(`Answern_input`),
   proweb_trace(Answern_input),
   (def(eanswerstore,1,_) -> retractall(eanswerstore(_));true),
   assert(eanswerstore(Answern_input)),
   proweb_trace(`before dicideusers`),
   proweb_send_form(manage_form(show_answer_form)),proweb_returned_form(manage_form(show_answer_form)),       
   proweb_returned_answer(findID,FindID_input),        
   proweb_trace('FindID_input'),
   atom_string(FindID_input,Astring),proweb_trace(Astring),
   editanswer(FindID_input).


/*----------------------------------------------------------*/
/*  FIXS manage user accounts                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/

editusers(add_acount):-                  % add acount to users table
   proweb_trace(`add_acount`),
   proweb_send_form(manage_form(add_users_form)),proweb_returned_form(manage_form(add_users_form)),
   proweb_returned_answer(userNameINPUT, UserName ),
   proweb_returned_answer(userEmailINPUT, UserEmail ),
   proweb_returned_answer(userPasswordINPUT, UserPassword ),
   proweb_returned_answer(userAddressINPUT, UserAddress ),
   proweb_returned_answer(userCompanyINPUT, UserCompany ),
   proweb_returned_answer(userPhoneNOINPUT, UserPhoneNO ),
   proweb_returned_answer(userGroupIDINPUT, UserGroupID ),
   (ok_string(UserName),ok_string(UserEmail),ok_string(UserPassword)
   ,ok_string(UserAddress),ok_string(UserCompany),ok_string(UserPhoneNO),ok_string(UserGroupID)) ->
   webGetFile(File),
   fixsNumusers(Num_users),
   Num_users1 is Num_users + 1,
  \+account(_,_,UserEmail,_,_,_,_,_)->
   proweb_trace(`same_acount`),
   (asserta(account(Num_users1,UserName,UserEmail,UserPassword,UserAddress,UserCompany,UserPhoneNO,UserGroupID)),
   saveUser(Num_users1),
   number_string(Num_users1,Matom),
   profile(File,`GENERAL`,`NumberofUser`,Matom),   
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`not same_acount`),
   write(`Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

 
editusers(delete_acount):-                  % delete acount to users table
   proweb_send_form(manage_form(delete_users_form)),proweb_returned_form(manage_form(delete_users_form)),
   (proweb_returned_input(yesno,YN_input) -> proweb_trace(YN_input);true),
   YN_input == 'YES' -> proweb_trace(`Yes yi yi`),
   webGetFile(File),
   fixsdeleteusers(File),
   write(`Delete success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String))
  ;proweb_trace(`No yi yi`),                          
   write(`Delete un-success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

editusers(edit_acount):-                  % edit acount to users table
   proweb_trace(`edit_acount`),
   webGetFile(File),
   fixsNumusers(Num_users),
   proweb_send_form(manage_form(edit_users_form)),
   proweb_returned_answer(userNameINPUT, UserName ),
   proweb_returned_answer(userEmailINPUT, UserEmail ),
   proweb_returned_answer(userPasswordINPUT, UserPassword ),
   proweb_returned_answer(userAddressINPUT, UserAddress ),
   proweb_returned_answer(userCompanyINPUT, UserCompany ),
   proweb_returned_answer(userPhoneNOINPUT, UserPhoneNO ),
   proweb_returned_answer(userGroupIDINPUT, UserGroupID ),
   proweb_returned_form(manage_form(edit_users_form)),
   (ok_string(UserName),ok_string(UserEmail),ok_string(UserPassword)
   ,ok_string(UserAddress),ok_string(UserCompany),ok_string(UserPhoneNO),ok_string(UserGroupID)) ->
   epickstore(UseroldEmail),
   account(UserID,_,UseroldEmail,_,_,_,_,_),
   retract(account(_,_,UseroldEmail,_,_,_,_,_)),
  \+account(_,_,UserEmail,_,_,_,_,_)->
   proweb_trace(`not same_acount`),
   (asserta(account(UserID,UserName,UserEmail,UserPassword,UserAddress,UserCompany,UserPhoneNO,UserGroupID)),
   saveUser(Num_users),
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`same_acount`),
   ( write(`Un-success at editing dada, please to use a new email address and try again ! `),
     write(`<BR>Try`)
     ) ~> String,
  proweb_trace(String),
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

edittopic(add_acount):-                  % add acount to topic table
   proweb_trace(`add_acount to topic`),
   proweb_send_form(manage_form(add_topic_form)),proweb_returned_form(manage_form(add_topic_form)),
   proweb_returned_answer(topicNameINPUT, TopicName),
   proweb_returned_answer(topicPINPUT, TopicP),
   proweb_returned_answer(topicDateINPUT, TopicDate),
   proweb_returned_answer(topicTextINPUT, TopicText),
   (ok_string(TopicName),ok_string(TopicP),ok_string(TopicText)) ->
   webGetFile(File),
   fixsNumtopics(Num_topics),
   Num_topics1 is Num_topics + 1,
  \+topic_ac(_,TopicName,_,_,_)->
   proweb_trace(`same_acount`),
   (asserta(topic_ac(Num_topics1,TopicName,TopicP,TopicDate,TopicText)),
   saveTopic(Num_topics1),
   number_string(Num_topics1,Matom),
   profile(File,`GENERAL`,`NumberofTopic`,Matom), 
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`not same_acount`),
   write(`Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

edittopic(delete_acount):-  
   proweb_send_form(manage_form(delete_topic_form)),proweb_returned_form(manage_form(delete_topic_form)),
   (proweb_returned_input(yesno,YN_input) -> proweb_trace(YN_input);true),
   YN_input == 'YES' -> proweb_trace(`Yes yi yi`),
   webGetFile(File),
   fixsdeletetopics(File),
   write(`Delete success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String))
  ;proweb_trace(`No yi yi`),                          
   write(`Delete un-success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

edittopic(edit_acount):-  
   proweb_trace(`edit_acount`),
   webGetFile(File),
   fixsNumtopics(Num_topics),
   proweb_send_form(manage_form(edit_topic_form)),
   proweb_returned_answer(topicNameINPUT, TopicName),
   proweb_returned_answer(topicPINPUT, TopicP),
   proweb_returned_answer(topicDateINPUT, TopicDate),
   proweb_returned_answer(topicTextINPUT, TopicText),
   proweb_returned_form(manage_form(edit_topic_form)),
   (ok_string(TopicName),ok_string(TopicP),ok_string(TopicText)) ->
   etopicstore(OldtopicName),
   topic_ac(Num_topicsID,OldtopicName,_,_,_),
   retract(topic_ac(_,OldtopicName,_,_,_)),
   \+topic_ac(_,TopicName,_,_,_)->
   proweb_trace(`not same_acount`),
   (asserta(topic_ac(Num_topicsID,TopicName,TopicP,TopicDate,TopicText)),
   saveTopic(Num_topics),
  ( write(`Success at editing dada ! `)
     ) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`same_acount`),
  ( write(`Un-success at editing dada, please to use a new email address and try again ! `),
      write(`<BR>Try`)
     ) ~> String,
  proweb_trace(String),
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).


editanswer(add_acount):-                  % add acount to answer table
   proweb_trace(`add_acount to answer`),
   proweb_send_form(manage_form(add_answer_form)),proweb_returned_form(manage_form(add_answer_form)),
   proweb_returned_answer(answerNameINPUT, AnswerName),
   proweb_returned_answer(answerPINPUT, AnswerP),
   proweb_returned_answer(answerDateINPUT, AnswerDate),
   proweb_returned_answer(answerTextINPUT, AnswerText),
   proweb_returned_answer(anTopicnINPUT, AnTopicn),
   (ok_string(AnswerName),ok_string(AnswerP),ok_string(AnswerText),ok_string(AnTopicn)) ->
   webGetFile(File),
   fixsNumanswers(Num_answers),
   Num_answers1 is Num_answers + 1,
  \+answer_ac(_,AnswerName,_,_,_,_)->
   proweb_trace(`same_acount`),
   (asserta(answer_ac(Num_answers1,AnswerName,AnswerP,AnswerDate,AnswerText,AnTopicn)),
   saveAnswer(Num_answers1),
   number_string(Num_answers1,Matom),
   profile(File,`GENERAL`,`NumberofAnswer`,Matom),                             % Get previous position of window  
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`not same_acount`),
   write(`Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

editanswer(delete_acount):-                  % delete acount to users table
   proweb_send_form(manage_form(delete_answer_form)),proweb_returned_form(manage_form(delete_answer_form)),
   (proweb_returned_input(yesno,YN_input) -> proweb_trace(YN_input);true),
   YN_input == 'YES' -> proweb_trace(`Yes yi yi`),
   webGetFile(File),
   fixsdeleteanswers(File),
   write(`Delete success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String))
  ;proweb_trace(`No yi yi`),                          
   write(`Delete un-success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

editanswer(edit_acount):-                  % edit acount to users table
   proweb_trace(`edit_acount`),
   webGetFile(File),
   fixsNumanswers(Num_answers),
   proweb_send_form(manage_form(edit_answer_form)),
   proweb_returned_answer(answerNameINPUT, AnswerName),
   proweb_returned_answer(answerPINPUT, AnswerP),
   proweb_returned_answer(answerDateINPUT, AnswerDate),
   proweb_returned_answer(answerTextINPUT, AnswerText),
   proweb_returned_answer(anTopicnINPUT, AnTopicn),
   proweb_returned_form(manage_form(edit_answer_form)),
   (ok_string(AnswerName),ok_string(AnswerP),ok_string(AnswerText),ok_string(AnTopicn)) ->
   eanswerstore(OldanswerName),
   answer_ac(Num_answersID,OldanswerName,_,_,_,_),
   retract(answer_ac(_,OldanswerName,_,_,_,_)),
   \+answer_ac(_,AnswerName,_,_,_,_)->
   proweb_trace(`not same_acount`),
   (asserta(answer_ac(Num_answersID,AnswerName,AnswerP,AnswerDate,AnswerText,AnTopicn)),
   saveAnswer(Num_answers),
  (    write(`Success at editing dada ! `)
     ) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`same_acount`),
  (    write(`Un-success at editing dada, please to use a new email address and try again ! `),
        write(`<BR>Try`)
     ) ~> String,
  proweb_trace(String),
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
  ;
  write(`Ilegal ASCII code chars were used. Un-success at editing dada ! `) ~> String,
  proweb_send_form(inform(String)),proweb_returned_form(inform(String)).
