proweb_page( [ comment_form(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- comment_form_title_file( Form, Title, _ ).

proweb_form( comment_form(Form), [include(File),Footer] ) :-
  comment_form_title_file( Form, _, File ),
  comment_form_footer( Form, Footer ).

comment_form_title_file( list_comment_form,   `list_comment_form`,    'white.htm' ).
comment_form_title_file( show_comment_form,   `show_comment_form`,    'white.htm' ).
comment_form_title_file( add_comments_form,   `add_comments_form`,    'white.htm' ).
comment_form_title_file( edit_comments_form,   `edit_comments_form`,    'white.htm' ).
comment_form_title_file( delete_comments_form,   `delete_comments_form`,    'white.htm' ).


/* ---------------------------------------------------------------------------------- 
  Follows are the forms for COMMENTS
   ---------------------------------------------------------------------------------- */

comment_form_footer(list_comment_form, 
             [h3 @ `Select User's Acount ID. (Single Choice Reguired)`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Manage Items`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Comment Names`,/b,/td,
               td,b,?commentName_input,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ).

proweb_question(commentName_input,
                 [ method = radio,
                   select = Comment_list,
                   prefill =FList, 
                   infix   = br
                 ]):-
  comliststore(Comment_list),
  member(FList,Comment_list,1).

comment_form_footer(show_comment_form,
              [h3 @ `Comment information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Comment Name`,/b,/td,
               td,b,b@SCommentName,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email of Presenter`,/b,/td,
               td,b,b@SEmail_com_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Presented`,/b,/td,
               td,b,b@SDate_com_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Related Case name`,/b,/td,
               td,b,b@SRel_casename,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Comment Text`,/b,/td,
               td,b,b@SCom_Text,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Buttons`,/b,/td,
               td,b,?findcommentID,/b,/td,
               /tr,
                 /table,p,              
               input(type='submit',value=submit),
           p(align='center') @ include('link_manage.htm')
          ]
        ):-
  ecomstore(CommentName),
  comment_ac(CommentID,CommentName,Email_com_Pre,Date_com_Pre,Rel_casename,Com_Text),
  putwrite(CommentName,SCommentName),  
  putwrite(Email_com_Pre,SEmail_com_Pre),
  putwrite(Date_com_Pre,SDate_com_Pre),
  putwrite(Rel_casename,SRel_casename),  
  putwrite(Com_Text,SCom_Text).  


proweb_question( findcommentID,
                 [ method = radio,
                   select = [add_acount,delete_acount,edit_acount],
                   prefill = add_acount,
                   infix   = br
                 ]).

comment_form_footer(delete_comments_form,
              [h3 @ `Are you sure to delete following comment ?`,p,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
                td,b,`Value`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Comment Name`,/b,/td,
                td,b,b@SCommentName,/b,/td,
              /tr,
               /table,p, 
               input(type='submit',name='yesno',value='YES'),p,
               input(type='submit',name='yesno',value='NO'),
           p(align='center') @ include('link_manage.htm')
          ]
        ):-
   ecomstore(CommentName),
  putwrite(CommentName,SCommentName).


comment_form_footer(edit_comments_form,
              [h3 @ `Edit Comment information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Comment Name`,/b,/td,
               td,b,b@SCommentName,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Comment Name`,/b,/td,
               td,b,?commentNameINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Email of Presenter`,/b,/td,
               td,b,b@SEmail_com_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email of Presenter`,/b,/td,
               td,b,?email_com_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Date Presented`,/b,/td,
               td,b,b@SDate_com_Pre,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Presented`,/b,/td,
               td,b,?date_com_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Related Case name`,/b,/td,
               td,b,b@SRel_casename,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Related Case name`,/b,/td,
               td,b,?rel_casenameINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Current Comment Text`,/b,/td,
               td,b,b@SCom_Text,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Comment Text`,/b,/td,
               td,b,?com_TextINPUT,/b,/td,
               /tr,
               /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ) :-
   ecomstore(CommentName),
   comment_ac(CommentID,CommentName,Email_com_Pre,Date_com_Pre,Rel_casename,Com_Text),
  putwrite(CommentName,SCommentName),  
  putwrite(Email_com_Pre,SEmail_com_Pre),
  putwrite(Date_com_Pre,SDate_com_Pre),
  putwrite(Rel_casename,SRel_casename),  
  putwrite(Com_Text,SCom_Text). 


comment_form_footer(add_comments_form,
              [h3 @ `Add Comment information`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Items`,/b,/td,
               td,b,`Value`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`User Name`,/b,/td,
               td,b,?commentNameINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Email of Presenter`,/b,/td,
               td,b,?email_com_PreINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date Presented`,/b,/td,
               td,b,?date_com_PreINPUT,/b,/td,
                /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Related Case name`,/b,/td,
               td,b,?rel_casenameINPUT,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Comment Text`,/b,/td,
               td,b,?com_TextINPUT,/b,/td,
               /tr,
              /table,p,              
               input(type='submit',value=`save`),
           p(align='center') @ include('link_manage.htm')
          ]
        ). 

   proweb_question(commentNameINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(email_com_PreINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(date_com_PreINPUT, 
                 [ method = date,format = '/dth/M/yyyy',prefill = [2001,11,29]]).
   proweb_question(rel_casenameINPUT,
           [ method  = input,type = string,prefill = MyString,cols = 50]) :- MyString = ``.    
   proweb_question(com_TextINPUT,
           [ method  = input,type = string,prefill = MyString, rows= 2, cols = 70]) :- MyString = ``.    
