casemanagement :-
   webAssertAppPath,
   fixsGetcaseFile(File),
   fixsinitialcaseData(File),
   proweb_send_form(hand_form(manage_case_form)),proweb_returned_form(hand_form(manage_case_form)),
   proweb_returned_answer( caseItems, CaseItemsInput ),
   proweb_trace(CaseItemsInput),
   managecase(CaseItemsInput).

submitcase :-
   webAssertAppPath,
   fixsGetcaseFile(File),
   fixsinitialcaseData(File),
   proweb_send_form(hand_form(manage_case_form)),proweb_returned_form(hand_form(manage_case_form)),
   proweb_returned_answer( caseItems, CaseItemsInput ),
   proweb_trace(CaseItemsInput),
   managecase(CaseItemsInput).

managecase(check_case):-
   proweb_trace(`check_case qqq`),
   fixsNumcases(Num_cases),
   getCase(Num_cases),
   findall(CaseName,(case_ac(_,CaseName,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_)),Case_list),
   (def(caseliststore,1,_) -> retractall(caseliststore(_));true),
   assert(caseliststore(Case_list)),
   proweb_trace(`assert`),
   proweb_send_form(hand_form(list_case_form)),proweb_returned_form(hand_form(list_case_form)),
   proweb_trace(`after case form`),
   proweb_returned_answer(caseName_input,Casen_input),
   proweb_trace(`Casen_input`),
   proweb_trace(Casen_input),
   (def(ecasestore,1,_) -> retractall(ecasestore(_));true),
   assert(ecasestore(Casen_input)),
   proweb_trace(`before dicideusers`),
   proweb_send_form(hand_form(show_case_form)),proweb_returned_form(hand_form(show_case_form)),       
   proweb_returned_answer(findcaseID,FindID_input),        
   proweb_trace('FindID_input'),
   atom_string(FindID_input,Astring),proweb_trace(Astring),
   editcases(FindID_input).

/*----------------------------------------------------------*/
/*  FIXS manage case accounts                               */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

editcases(add_acount):-                  % add acount to cases table
   proweb_trace(`add_acount`),
   proweb_send_form(hand_form(add_cases_form)),
   proweb_returned_answer(caseNameINPUT, CaseName ),
   proweb_returned_answer(email_case_PreINPUT, Email_case_Pre ),
   proweb_returned_answer(date_case_PreINPUT, Date_case_Pre ),
   proweb_returned_answer(main_member_typeINPUT, Main_member_type ),
   proweb_returned_answer(attached_member_typeINPUT, Attached_member_type ),
   proweb_returned_answer(error_typeINPUT, Error_type ),
   proweb_returned_answer(descript_errorINPUT, Descript_error ),
   proweb_returned_answer(approval_necINPUT, Approval_nec ),
   proweb_returned_answer(solution_reINPUT, Solution_re ),
   proweb_returned_answer(was_successINPUT, Was_success ),
   proweb_returned_answer(other_possibleINPUT, Other_possible ),
   proweb_returned_answer(required_finalINPUT, Required_final ),
   proweb_returned_answer(remarksINPUT, Remarks),
   proweb_returned_answer(descript_errorINPUT, Descript_error ),
   proweb_returned_answer(listing_attaINPUT, Listing_atta ),
   proweb_returned_answer(inform_fromINPUT, Inform_from ),
   proweb_returned_answer(date_occurINPUT, Date_occur ),
   proweb_returned_answer(state_DOTINPUT, State_DOT ),
   proweb_returned_answer(bridge_noINPUT, Bridge_no ),
   proweb_returned_answer(add_image_URLINPUT, Add_image_URL ),
   proweb_returned_form(hand_form(add_cases_form)),
   (ok_string(CaseName),ok_string(Email_case_Pre),ok_string(Main_member_type),
   ok_string(Attached_member_type),ok_string(Error_type),ok_string(Descript_error),ok_string(Approval_nec),
   ok_string(Solution_re),ok_string(Other_possible),ok_string(Required_final),ok_string(Remarks),
   ok_string(Descript_error),ok_string(Listing_atta),ok_string(Inform_from),ok_string(State_DOT),
   ok_string(Bridge_no),ok_string(Add_image_URL)) ->
   fixsNumcases(Num_cases),
   Num_cases1 is Num_cases + 1,
  \+case_ac(_,CaseName,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_)->
   proweb_trace(`same_acount`),
   (asserta(case_ac(Num_cases1,CaseName,
                 Email_case_Pre,Date_case_Pre,Main_member_type,Attached_member_type,
                 Error_type,Descript_error,Approval_nec,Solution_re,Was_success,
                 Other_possible,Required_final,Remarks,Listing_atta,Inform_from,Date_occur,
                 State_DOT,Bridge_no,Add_image_URL)),
   saveCase(Num_cases1),
   number_string(Num_cases1,Matom),
   profile(File,`GENERAL`,`NumberofCase`,Matom),                             % Get previous position of window  
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`not same_acount`),
   write(`Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).


 
editcases(delete_acount):-                  % delete acount to cases table
   proweb_send_form(hand_form(delete_cases_form)),
   (proweb_returned_input(yesno,YN_input) -> proweb_trace(YN_input);true),
   proweb_returned_form(hand_form(delete_cases_form)),
   YN_input == 'YES' -> proweb_trace(`Yes yi yi`),
   fixsGetcaseFile(File),
   fixsdeletecases(File),
   write(`Delete success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String))
  ;proweb_trace(`No yi yi`),                          
   write(`Delete un-success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

editcases(edit_acount):-                  % edit acount to cases table
   proweb_trace(`edit_acount`),
   fixsGetcaseFile(File),
   fixsNumcases(Num_cases),
   proweb_send_form(hand_form(edit_cases_form)),
   proweb_returned_answer(caseNameINPUT, CaseName ),
   proweb_returned_answer(email_case_PreINPUT, Email_case_Pre ),
   proweb_returned_answer(date_case_PreINPUT, Date_case_Pre ),
   proweb_returned_answer(main_member_typeINPUT, Main_member_type ),
   proweb_returned_answer(attached_member_typeINPUT, Attached_member_type ),
   proweb_returned_answer(error_typeINPUT, Error_type ),
   proweb_returned_answer(descript_errorINPUT, Descript_error ),
   proweb_returned_answer(approval_necINPUT, Approval_nec ),
   proweb_returned_answer(solution_reINPUT, Solution_re ),
   proweb_returned_answer(was_successINPUT, Was_success ),
   proweb_returned_answer(other_possibleINPUT, Other_possible ),
   proweb_returned_answer(required_finalINPUT, Required_final ),
   proweb_returned_answer(remarksINPUT, Remarks),
   proweb_returned_answer(descript_errorINPUT, Descript_error ),
   proweb_returned_answer(listing_attaINPUT, Listing_atta ),
   proweb_returned_answer(inform_fromINPUT, Inform_from ),
   proweb_returned_answer(date_occurINPUT, Date_occur ),
   proweb_returned_answer(state_DOTINPUT, State_DOT ),
   proweb_returned_answer(bridge_noINPUT, Bridge_no ),
   proweb_returned_answer(add_image_URLINPUT, Add_image_URL ),
   proweb_returned_form(hand_form(edit_cases_form)),
   (ok_string(CaseName),ok_string(Email_case_Pre),ok_string(Main_member_type),
   ok_string(Attached_member_type),ok_string(Error_type),ok_string(Descript_error),ok_string(Approval_nec),
   ok_string(Solution_re),ok_string(Other_possible),ok_string(Required_final),ok_string(Remarks),
   ok_string(Descript_error),ok_string(Listing_atta),ok_string(Inform_from),ok_string(State_DOT),
   ok_string(Bridge_no),ok_string(Add_image_URL)) ->
   ecasetore(CaseoldName),
   case_ac(CaseID,CaseoldName,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_),
   retract(case_ac(_,CaseoldName,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_)),
  \+case_ac(_,CaseoldName,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_,_)->
   proweb_trace(`not same_acount`),
   (asserta(case_ac(CaseID,CaseName,Email_case_Pre,Date_case_Pre,Main_member_type,Attached_member_type,
                 Error_type,Descript_error,Approval_nec,Solution_re,Was_success,
                 Other_possible,Required_final,Remarks,Listing_atta,Inform_from,Date_occur,
                 State_DOT,Bridge_no,Add_image_URL)),
   saveCase(Num_cases),
  (    write(`Success at editing dada ! `)
     ) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`same_acount`),
  (    write(`Un-success at editing dada, please to use a new email address and try again ! `),
        write(`<BR>Try`)
     ) ~> String,
  proweb_trace(String),
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).



/*----------------------------------------------------------*/
/*  FIXS manage comment accounts                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                               */
/*----------------------------------------------------------*/

managecase(check_comment):-
   proweb_trace(`check_comment qqq`),
   proweb_trace(`findallcomment`),
   fixsNumcomments(Num_comments),
   getComment(Num_comments),
   findall(CommentName,(comment_ac(_,CommentName,_,_,_,_)),Comment_list),
   (def(comliststore,1,_) -> retractall(comliststore(_));true),
   assert(comliststore(Comment_list)),
   proweb_trace(`assert`),
   proweb_send_form(comment_form(list_comment_form)),
   proweb_trace(`after comment form`),
   proweb_returned_answer(commentName_input,Commentn_input),
   proweb_returned_form(comment_form(list_comment_form)),
   proweb_trace(`Commentn_input`),
   proweb_trace(Commentn_input),
   (def(ecomstore,1,_) -> retractall(ecomstore(_));true),
   assert(ecomstore(Commentn_input)),
   proweb_trace(`before dicideusers`),
   proweb_send_form(comment_form(show_comment_form)),       
   proweb_returned_answer(findcommentID,FindID_input),        
   proweb_returned_form(comment_form(show_comment_form)),
   proweb_trace('FindID_input'),
   atom_string(FindID_input,Astring),proweb_trace(Astring),
   editcomments(FindID_input).


editcomments(add_acount):-                  % add acount to comments table
   proweb_trace(`add_acount`),
   proweb_send_form(comment_form(add_comments_form)),
   proweb_returned_answer(commentNameINPUT, CommentName ),
   proweb_returned_answer(email_com_PreINPUT, Email_com_Pre ),
   proweb_returned_answer(date_com_PreINPUT, Date_com_Pre ),
   proweb_returned_answer(rel_casenameINPUT, Rel_casename ),
   proweb_returned_answer(com_TextINPUT, Com_Text ),
   proweb_returned_form(comment_form(add_comments_form)),
   (ok_string(CommentName),ok_string(Email_com_Pre),ok_string(Rel_casenam),ok_string(Com_Text)) ->
   fixsGetcaseFile(File),
   fixsNumcomments(Num_comments),
   Num_comments1 is Num_comments + 1,
  \+comment_ac(_,CommentName,_,_,_,_)->
   proweb_trace(`same_acount`),
   (asserta(comment_ac(Num_comments1,CommentName,Email_com_Pre,Date_com_Pre,Rel_casename,Com_Text)),
   saveComment(Num_comments1),
   number_string(Num_comments1,Matom),
   profile(File,`GENERAL`,`NumberofComment`,Matom),                             % Get previous position of window  
   write(`Success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`not same_acount`),
   write(`Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at adding dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

 
editcomments(delete_acount):-                  % delete acount to comments table
   proweb_send_form(comment_form(delete_comments_form)),
   (proweb_returned_input(yesno,YN_input) -> proweb_trace(YN_input);true),
   proweb_returned_form(comment_form(delete_comments_form)),
   YN_input == 'YES' -> proweb_trace(`Yes yi yi`),
   fixsGetcaseFile(File),
   fixsdeletecomments(File),
   write(`Delete success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String))
  ;proweb_trace(`No yi yi`),                          
   write(`Delete un-success !`) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

editcomments(edit_acount):-                  % edit acount to comments table
   proweb_trace(`edit_acount`),
   fixsGetcaseFile(File),
   fixsNumcomments(Num_comments),
   proweb_send_form(comment_form(edit_comments_form)),
   proweb_returned_answer(commentNameINPUT, CommentName ),
   proweb_returned_answer(email_com_PreINPUT, Email_com_Pre ),
   proweb_returned_answer(date_com_PreINPUT, Date_com_Pre ),
   proweb_returned_answer(rel_casenameINPUT, Rel_casename ),
   proweb_returned_answer(com_TextINPUT, Com_Text ),
   proweb_returned_form(comment_form(edit_comments_form)),
   (ok_string(CommentName),ok_string(Email_com_Pre),ok_string(Rel_casename),ok_string(Com_Text)) ->
   ecomstore(CommentoldName),
   comment_ac(CommentID,CommentoldName,_,_,_,_),
   retract(comment_ac(_,CommentoldName,_,_,_,_)),
  \+comment_ac(_,CommentoldName,_,_,_,_) ->
   proweb_trace(`not same_acount`),
   (asserta(comment_ac(CommentID,CommentName,Email_com_Pre,Date_com_Pre,Rel_casename,Com_Text)),
   saveComment(Num_comments),
  (    write(`Success at editing dada ! `)
     ) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ; (proweb_trace(`same_acount`),
  (    write(`Un-success at editing dada, please to use a new email address and try again ! `),
        write(`<BR>Try`)
     ) ~> String,
  proweb_trace(String),
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)))
   ;
   write(`Ilegal ASCII code chars were used. Un-success at editing dada ! `) ~> String,
   proweb_send_form(inform(String)),proweb_returned_form(inform(String)).

