/*----------------------------------------------------------*/
/*  FIXS others                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                procgi_make('c:\inetpub\fixs\proweb.ovl').
/*----------------------------------------------------------*/

  
proweb_page( [ Form|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- form_title_file( Form, Title, _ ).

proweb_form( Form, [include(File),Footer] ) :-
  form_title_file( Form, _, File ),
  form_footer( Form, Footer ).

form_title_file(inform(Text),   `Inform Form`,    'white.htm' ).
form_footer(inform(Text),
              [unencoded @ Text,
           p(align='center') @ include('link_hp.htm')
          ]
        ). 


form_footer(notesa_form,
        [ p,`A This page is under construction, I appologize ! `,p,p,
               input(type='submit',value=`Submit`)
        ]).


form_title_file( notesa_form,   `Notes Form`,    'whiteA.htm' ).
 
form_footer(notes_form,
        [ p,`B This page is under construction, I appologize ! `,
          p,??abc_reply,p,p,
               input(type='submit',value=`Submit`),
          p(align='center') @ include('link_hp.htm')
        ]).


form_title_file( notes_form,   `Notes Form`,    'whiteA.htm' ).
 

 proweb_help(about_webFIXS,
           `WEB-FIXS Version`,
           `\nWeb-FIXS Version 11/15/01\n`
            ). 

/*----------------------------------------------------------*/
/*  FIXS password & application .pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/

form_footer( passwordin_form,
              [p,'Note: Current WEB-FIXS offers an default account to anyone.'
               ,p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Enter Username and Password`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Username`,/b,/td,
               td,b,?username_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
               td,b,?userpsword_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_fixsfirst.htm')
%            p(align='center') @ include('link_hp.htm')
          ]
        ). 

form_footer( passwordiout_form,
              [
% p,table(border='1',cellspacing='0',cellpadding='3'),
%               tr(bgcolor='#C0FFFF'),
%               td(colspan='2'),b,`Your Login was Successful !`,/b,/td,
%               tr(bgcolor='#FFFFC0'),
%               td(valign='top'),b,`Your USERNAME: `,/b,/td,
%               td,b,UsernameInput,/b,/td,
%               /tr,
%               tr(bgcolor='#FFFFC0'),
%               td,b,`Your USER PASSWORD: `,/b,/td,
%               td,b,UserpswordInput,/b,/td,
%               /tr,
%               /table,p,
%               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_fixssecond.htm')
              ] ) :-
  proweb_returned_answer( username_input,UsernameInput),
  proweb_returned_answer( userpsword_input,UserpswordInput).

form_footer( passwordoout_form,
        [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Sorry, This is wrong password !`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Your USERNAME: `,/b,/td,
               td,b,UsernameInput,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Your USER PASSWORD: `,/b,/td,
               td,b,UserpswordInput,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`If you really want to use Fixs, please to apply an account first !`,/b,/td,
               /tr,
               /table,
%               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_fixsfirst.htm')
%            p(align='center') @ include('link_hp.htm')
           ]):-
  proweb_returned_answer( username_input,       UsernameInput      ),
  proweb_returned_answer( userpsword_input,     UserpswordInput    ).

form_footer( applicationin_form,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Please input the application`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Company Name`,/b,/td,
               td,b,?companyname_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Username`,/b,/td,
               td,b,?username_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
               td,b,?userpsword_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_fixsfirst.htm')
%            p(align='center') @ include('link_hp.htm')
          ]
        ). 

form_footer( applicationiout_form,
              [p,
% ,table(border='1',cellspacing='0',cellpadding='3'),
%               tr(bgcolor='#C0FFFF'),
%               td(colspan='2'),b,`Your Application was accepted !`,/b,/td,
%               /tr,
%               tr(bgcolor='#FFFFC0'),
%               td(valign='top'),b,`Your Company Name`,/b,/td,
%               td,b,CompanyName,/b,/td,
%               /tr,
%               tr(bgcolor='#FFFFC0'),
%               td,b,`Your Username`,/b,/td,
%               td,b,UsernameInput,/b,/td,
%               /tr,
%               tr(bgcolor='#FFFFC0'),
%               td,b,`Your User Passwords`,/b,/td,
%               td,b,UserpswordInput,/b,/td,
%               /tr,
%               /table,p,
%               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_fixssecond.htm')

          ]
        ):-
  proweb_returned_answer( companyname_input,      CompanyName      ),
  proweb_returned_answer( username_input,       UsernameInput      ),
  proweb_returned_answer( userpsword_input,     UserpswordInput    ).

form_footer( applicationoout_form,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Your application was the same as another user, please try again !`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Company Name`,/b,/td,
               td,b,CompanyName,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Username`,/b,/td,
               td,b,UsernameInput,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Password`,/b,/td,
               td,b,UserpswordInput,/b,/td,
               /tr,
               /table,p,
%               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_fixsfirst.htm')
%            p(align='center') @ include('link_hp.htm')
          ]
        ):-
  proweb_returned_answer( companyname_input,      CompanyName      ),
  proweb_returned_answer( username_input,       UsernameInput      ),
  proweb_returned_answer( userpsword_input,     UserpswordInput    ).

form_footer( preferences_form,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Case Base Reasoning`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Enable Case Reasoning (1-Yes,0-No)`,/b,/td,
               td,b,?caseFlag_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Maximum Number of Cases to Return:`,/b,/td,
               td,b,?maxCases_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Lowest Similarity to Return (%) :`,/b,/td,
               td,b,?minSim_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 

form_footer(preferencesout_form,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Your Preferences were reset !`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Your Enable Case Reasoning (1-Yes,0-No)`,/b,/td,
               td,b,CaseFlag,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Your Maximum Number of Cases to Return:`,/b,/td,
               td,b,MaxCases,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Your Lowest Similarity to Return (%) :`,/b,/td,
               td,b,MinSim,/b,/td,
               /tr,
               /table,p,
%               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
  proweb_returned_answer(caseFlag_input,CaseFlag),
  proweb_returned_answer(maxCases_input,MaxCases),
  proweb_returned_answer(minSim_input,MinSim).


form_title_file( passwordin_form,   `Password Input Form`,    'white.htm' ).
form_title_file( passwordiout_form,   `Login Successful Form`,    'white.htm' ).
form_title_file( passwordoout_form,   `Passwords Reject Form`,    'white.htm' ).
form_title_file( applicationin_form,   `Account Application Form`,    'white.htm' ).
form_title_file( applicationiout_form,   `Account Application Successful Form`,    'white.htm' ).
form_title_file( applicationoout_form,   `Account Application Error Form`,    'white.htm' ).
form_title_file( preferences_form,   `Case Based Preferences Input Form`,    'white.htm' ).
form_title_file( preferencesout_form,   `Case Based Preferences Output Form`,    'white.htm' ).


proweb_question(caseFlag_input,
                 [ method  = input,
                   type    = number,
                   prefill = CaseFlag
                 ]
               ) :-
userPrefsCaseFlag(CaseFlag).

proweb_question(maxCases_input,
                 [ method  = input,
                   type    = number,
                   prefill = MaxCases
                 ]
               ) :-
userPrefsMaxCases(MaxCases).

proweb_question(minSim_input,
                 [ method  = input,
                   type    = number,
                   prefill = MinSim
                 ]
               ) :-
  userPrefsMinSim(MinSim).
proweb_question(username_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  MyString = `default`,
  string( MyString).


proweb_question(userpsword_input,
                 [ method  = password,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  MyString = `default`,
  string( MyString).

proweb_question(companyname_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  MyString = `default`,
  string( MyString).
 

/*----------------------------------------------------------*/
/*  FIXS Find Browse  1.pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/


form_footer( bserrortype_form,
              [h3 @ `Select Error Type. (Single Choice Reguired)`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Error Type`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,?errortypeID_input,/b,/td,
               /tr,
                /table,p,
              input(type='submit',value=`Submit`),
           p(align='center') @ include('link_hp.htm')
          ]
        ). 

form_footer( browseSolutions_form,
              [h3 @ `Browse Solutions: Select Solution to View`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Error Type Item`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,?browse_errortype,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 

form_footer( browseDetail_form,
              [h3 @ `Detailed Solution`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Name`,/b,/td,
               td,b,`Details`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Error Number`,/b,/td,
               td,b,?browse_result,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Error Figure`,/b,/td,
               td,b,??ax,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Detailed Solution Despcription`,/b,/td,
               td,b,?browse_detailsolution,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Case Description`,/b,/td,
               td,b,?browse_actualdesp,/b,/td,
               /tr,
                /table,p,              
           p(align='center') @ include('link_hp.htm')
          ]
        ). 


form_title_file( bserrortype_form,   `Error Type Form`,    'white.htm' ).
form_title_file( browseSolutions_form,   `Browse Solutions Form`,    'white.htm' ).
form_title_file( browseDetail_form,   `Detailed Solution Form`,    'white.htm' ).

proweb_question( errortypeID_input,
                 [ method = radio,
                   select = FSList,
                   prefill = FList,
                   infix   = br
                 ]):-
  fixsErrorTypeStringList(FSList),
  member(FList,FSList,1).

proweb_question( browse_errortype,
                 [ method = menubox,
                   select = Browse_List,
                   prefill = FirstItem,
                   rows = 30
               ]):-
 proweb_call(fixsBrowseLB(Browse_List,FirstItem)).

proweb_question( templist,
                 [ method = menubox,
                   select = Browse_List,
                   rows = 80
               ]):-
 fixsTempLB(Browse_List).


proweb_question( browse_result,
                  [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 10,
                   maxlength = 80
               
               ]) :-
 proweb_call(fixsBrowseDetailItems(MyString,_,_,_)),
  string( MyString).


proweb_question( browse_actualdesp,
                  [ method  = input,
                   type    = string,
                   prefill = MyString,
                   rows    = 7,
                   cols    = 80
               
               ]) :-
 proweb_call(fixsBrowseDetailItems(_,_,MyString,_)),
  string( MyString).

proweb_question( browse_detailsolution,
                  [ method  = input,
                   type    = string,
                   prefill = MyString,
                   rows    = 7,
                   cols    = 80
               
               ]) :-
 proweb_call(fixsBrowseDetailItems(_,MyString,_,_)),
  string( MyString).


form_footer(why_form(Nth),
              [p]
        ). 

form_title_file(why_form(Nth),   `Why Form`,    'why.htm' ).

proweb_question(my_question(Nth),
                 [ method =input,
                   type    = string,
                   prefill = MyString,
                   rows    = 7,
                   cols    = 80
               
               ]) :-
 fixsWhyDetails(MyString).

form_footer( findbrowseSolutions_form,
              [h3 @ `Find Solutions: Select Solution to View`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Ask Why:`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
                td,b,???about_why,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td,b,`Error Type Item`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,?find_errortype,/b,/td,
               /tr,
                /table,p,
               input(type='submit',value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 

proweb_help(about_why,
           `Why`,
           Whystring):-
  whystore(HeaderStr,FeaturesListStr),cat([HeaderStr,`   `,FeaturesListStr],Whystring,_).


form_title_file( findbrowseSolutions_form,   `Find Solutions Form`,    'white.htm' ).
 
form_footer( findbrowseDetail_form,
              [h3 @ `Detailed Solution`,
               table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td,b,`Name`,/b,/td,
               td,b,`Details`,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Error Number`,/b,/td,
               td,b,?find_result,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Error Figure`,/b,/td,
               td,b,??find_image,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Detailed Solution Despcription`,/b,/td,
               td,b,?find_detailsolution,/b,/td,
               /tr,
                tr(bgcolor='#FFFFC0'),
               td,b,`Case Description`,/b,/td,
               td,b,?find_actualdesp,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               /tr,
                /table,p,              
           p(align='center') @ include('link_hp.htm')
          ]
        ). 


form_title_file( findbrowseDetail_form,   `Find Detailed Solution Form`,    'white.htm' ).

proweb_question( find_errortype,
                 [ method = menubox,
                   select = Browse_List,
                   prefill = FirstItem,
                   rows = 30
               ]):-
 proweb_call(fixsFindLB(Browse_List,FirstItem)).


proweb_question( find_result,
                  [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 10,
                   maxlength = 80
               
               ]) :-
fixsFindDetailItems(MyString,_,_,_).


proweb_question( find_actualdesp,
                  [ method  = input,
                   type    = string,
                   prefill = MyString,
                   rows    = 7,
                   cols    = 80
               
               ]) :-
fixsFindDetailItems(_,_,MyString,_).

proweb_question( find_detailsolution,
                  [ method  = input,
                   type    = string,
                   prefill = MyString,
                   rows    = 7,
                   cols    = 80
               
               ]) :-
fixsFindDetailItems(_,MyString,_,_).

