

/*----------------------------------------------------------*/
/*  FIXS Find Solution Controls pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
proweb_page( [ finds_form1(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- finds_form1_title_file( Form, Title, _ ).

proweb_form( finds_form1(Form), [include(File),Footer] ) :-
  finds_form1_title_file( Form, _, File ),
  finds_form1_footer( Form, Footer ).

/* General Information #1 */
/* Title: Project Information */
   
finds_form1_footer( generalInfo1,
              [p,'Note: Ask Why and How, but do not use the information given as this project is under construction.',p
               ,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Project Information-1`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Current Help`,/b,/td,
               td,b,???generalInfo1_question,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Project     Name:`,/b,/td,
               td,b,?projectName_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Project   Number:`,/b,/td,
               td,b,?projectNumber_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Fabricator  Name:`,/b,/td,
               td,b,?fabricator_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Date of    Error:`,/b,/td,
               td,b,?dateofError_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`User Name:`,/b,/td,
               td,b,?userName_put,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`User Company Name:`,/b,/td,
               td,b,?userCompany_put,/b,/td,
               /tr,
               /table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 


finds_form1_title_file(generalInfo1,   `Project Information 1# Form`,    'white.htm' ).


proweb_help(generalInfo1_question,
           `Inform Help`,
           `\nHere is the information1 helpful text \n`
            ).
  
proweb_question(projectName_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(projectName_input(MyString)).

proweb_question(projectNumber_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(projectNumber_input(MyString)).

proweb_question(fabricator_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(fabricator_input(MyString)).

proweb_question(dateofError_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(dateofError_input(MyString)).

proweb_question(userName_put,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(userName_put(MyString)).

proweb_question(userCompany_put,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(userCompany_put(MyString)).

/* General Information #2 */
/* Title: Bridge Information  */

finds_form1_footer( generalInfo2,
              [p,'Note: Ask Why and How, but do not use the information given as this project is under construction.',p
                ,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Project Information-2`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Current Help`,/b,/td,
               td,b,???generalInfo2_question,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Bridge Name:`,/b,/td,
               td,b,?bridgeName_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Bridge Number:`,/b,/td,
               td,b,?bridgeNumber_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Bridge Type:`,/b,/td,
               td,b,?bridgeType_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`End Supports:`,/b,/td,
               td,b,?endSupports_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Interm. Supports:`,/b,/td,
               td,b,?intSupports_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Number of Spans:`,/b,/td,
               td,b,?numberofSpans_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 


finds_form1_title_file( generalInfo2,   `Project Information #2 Input Form`,    'white.htm' ).


proweb_help(generalInfo2_question,
           `Help`,
           `\nHere is the generalInfo2 helpful text \n`
            ).
  
proweb_question(bridgeName_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(bridgeName_input(MyString)).

proweb_question(bridgeNumber_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(bridgeNumber_input(MyString)).

proweb_question(numberofSpans_input,
                 [ method  = input,
                   type    = string,
                   prefill = MyString,
                   cols    = 30
                 ]
               ) :-
  proweb_call(numberofSpans_input(MyString)).

proweb_question( bridgeType_input,
                 [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
  proweb_call(bridgeType_input(AllStrings,AllValues,Strings,Value)).

proweb_question( endSupports_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):-
  proweb_call(endSupports_input(AllStrings,AllValues,Strings,Value)).

proweb_question( intSupports_input,
                  [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
  proweb_call(intSupports_input(AllStrings,AllValues,Strings,Value)).


/* General Information #25 */
/* Title: Fabrication Error Information */
finds_form1_footer( generalInfo25,
              [p,'Note: Ask Why and How, but do not use the information given as this project is under construction.',p
               ,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Project Information-3A`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Current Help`,/b,/td,
               td,b,???generalInfo25_question,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Type of Error Member`,/b,/td,
               td,b,?errorMemberType_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Location of Error Member`,/b,/td,
               td,b,?errorMemberLocation_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Classification of Error Member:`,/b,/td,
               td,b,?errorMemberClass_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Type of Attached Member:`,/b,/td,
               td,b,?attachMemberType_input,/b,/td,
               /tr,
               /table,p,
               input(type=submit,name=askwhy,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 


finds_form1_title_file(generalInfo25,   `Project Information #3A Input Form`,    'white.htm' ).


proweb_help(generalInfo25_question,
           `Inform Help`,
           `\nHere is the generalInfo25 helpful text \n`
            ).

proweb_question( errorMemberType_input,
                 [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
   proweb_call(errorMemberType_input(AllStrings,AllValues,Strings,Value)).

proweb_question( errorMemberLocation_input,
                 [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
  proweb_call(errorMemberLocation_input(AllStrings,AllValues,Strings,Value)).

proweb_question( errorMemberClass_input,
                 [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
  proweb_call(errorMemberClass_input(AllStrings,AllValues,Strings,Value)).

proweb_question( attachMemberType_input,
                 [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
   proweb_call(attachMemberType_input(AllStrings,AllValues,Strings,Value)).

/* General Information #3 */
/* Title: Fabrication Error Information */
finds_form1_footer(generalInfo3,
              [p,'Note: Current live mode Web-FIXS can not continue, please try other functions of FIXS !!!',p
                 ,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='2'),b,`Project Information-3B`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td(valign='top'),b,`Current Help`,/b,/td,
               td,b,???generalInfo3_question,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Classification of Attached Member:`,/b,/td,
               td,b,?attachMemberClass_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Units:`,/b,/td,
               td,b,?unitsType_input,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`Error Type`,/b,/td,
               td,b,?errorClassification_input,/b,/td,
               /tr,
               /table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ). 


finds_form1_title_file(generalInfo3,   `Project Information #3B Input Form`,    'white.htm' ).


proweb_help(generalInfo3_question,
           `Inform Help`,
           `\nHere is the generalInfo3 helpful text \n`
            ).

proweb_question( attachMemberClass_input,
                 [ method = menubox,
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ) :-
  proweb_call(attachMemberClass_input(AllStrings,AllValues,Strings,Value)).

proweb_question( unitsType_input,
                 [ method = radio,
%                   select = ['a','b','c'],
%                   prefill = 'a',
                   select = AllStrings,
                   prefill = Strings,
                   infix = br
                 ]
               ):-  proweb_call(unitsType_input(AllStrings,AllValues,Strings,Value)).

proweb_question( errorClassification_input,
                 [ method = radio,
                   select = AllStrings,
                   prefill = Strings,
%                   select = AllValues,
%                   prefill = Value,
                   infix = br
                 ]
               ) :-
  proweb_call(errorClassification_input(AllStrings,AllValues,Strings,Value)).

