

/*----------------------------------------------------------*/
/*  FIXS Find Solution Controls pl                        */
/*  Fabrication Indexed eXamples and Solutions (FIXS)       */
/*  The University of Kansas                                */
/*----------------------------------------------------------*/
proweb_page( [ finds_form2(Form)|_],
             [ include('head.htm'),
               Title,
               include('body.htm'),
               proweb(Form),
               include('foot.htm')
             ]
           ) :- finds_form2_title_file( Form, Title, _ ).

proweb_form( finds_form2(Form), [include(File),Footer] ) :-
  finds_form2_title_file( Form, _, File ),
  finds_form2_footer( Form, Footer ).



/* Coating */
/* Title: Coating */
finds_form2_footer(coating1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,`Coating Information`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td(valign='top'),b,`Current Help`,/b,/td,
               td,b,???coating1_question,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@Acoating10,/b,/td,
               td,b,`Temperature:`,/b,/td,
               td,b,?coatingtemperature_input,/b,/td,
               td,b,`F Degree`,/b,/td,
               /tr,
               /tr,
               /table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
  proweb_call(fixshighlight(coating10,Acoating10)).


finds_form2_title_file(coating1,   `coating1 Input Form`,    'white.htm' ).

proweb_help(coating1_question,
           `Inform Help`,
           `\nHere is the coating1 helpful text \n`
            ).

/* Error Stage */
/* Title: Error Stage */
findSolutionDlg_1(errorStage1) :- 
finds_form2_title_file(errorStage1,   `Error Stage Input Form`,    'white.htm' ).
finds_form2_footer(errorStage1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Error Stage`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorStage10,/b,/td,
               td,b,`- Error Member Attached ?`,/b,/td,
               td,b,?errorStageErrorMemberAttached_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorStage11,/b,/td,
               td,b,`Stage Error Occured:`,/b,/td,
               td,b,?errorStageOccured_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorStage12,/b,/td,
               td,b,`Stage Error Found:`,/b,/td,
               td,b,?errorStageFound_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
  proweb_call(fixshighlight(errorStage10,AerrorStage10)),
  proweb_call(fixshighlight(errorStage11,AerrorStage11)),
  proweb_call(fixshighlight(errorStage12,AerrorStage12)).

 
/* Error Member Dimensions */
/* Title: Error Member Dimensions */
finds_form2_title_file(errorMemberDimensions1,   `: Error Member Dimensions Input Form`,    'white.htm' ).
finds_form2_footer(errorMemberDimensions1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,`  Error Member Dimensions Information`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,`  Design Dimensions `,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions10,/b,/td,
               td,b,`Length:`,/b,/td,
               td,b,?errorMemberDesignLength_input,/b,/td,
               td,b@AerrorMemberDimensions1_3,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions11,/b,/td,
               td,b,`Width:`,/b,/td,
               td,b,?errorMemberDesignWidth_input,/b,/td,
               td,b@AerrorMemberDimensions1_6,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions12,/b,/td,
               td,b,`Thickness:`,/b,/td,
               td,b,?errorMemberDesignThickness_input,/b,/td,
               td,b@AerrorMemberDimensions1_9,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions13,/b,/td,
               td,b,`Edge Type:`,/b,/td,
               td,b,?errorMemberDesignEdgeType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Actual Dimensions`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions14,/b,/td,
               td,b,`Length:`,/b,/td,
               td,b,?errorMemberActualLength_input,/b,/td,
               td,b@AerrorMemberDimensions1_15,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions15,/b,/td,
               td,b,`Width:`,/b,/td,
               td,b,?errorMemberActualWidth_input,/b,/td,
               td,b@AerrorMemberDimensions1_18,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions16,/b,/td,
               td,b,`Thickness:`,/b,/td,
               td,b,?errorMemberActualThickness_input,/b,/td,
               td,b@AerrorMemberDimensions1_21,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AerrorMemberDimensions17,/b,/td,
               td,b,`Edge Type:`,/b,/td,
               td,b,?errorMemberActualEdgeType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,               /table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(errorMemberDimensions1_3,AerrorMemberDimensions1_3)),
proweb_call(fixsunits(errorMemberDimensions1_6,AerrorMemberDimensions1_6)),
proweb_call(fixsunits(errorMemberDimensions1_9,AerrorMemberDimensions1_9)),
proweb_call(fixsunits(errorMemberDimensions1_15,AerrorMemberDimensions1_15)),
proweb_call(fixsunits(errorMemberDimensions1_18,AerrorMemberDimensions1_18)),
proweb_call(fixsunits(errorMemberDimensions1_21,AerrorMemberDimensions1_21)),
proweb_call(fixshighlight(errorMemberDimensions10,AerrorMemberDimensions10)),
proweb_call(fixshighlight(errorMemberDimensions11,AerrorMemberDimensions11)),
proweb_call(fixshighlight(errorMemberDimensions12,AerrorMemberDimensions12)),
proweb_call(fixshighlight(errorMemberDimensions13,AerrorMemberDimensions13)),
proweb_call(fixshighlight(errorMemberDimensions14,AerrorMemberDimensions14)),
proweb_call(fixshighlight(errorMemberDimensions15,AerrorMemberDimensions15)),
proweb_call(fixshighlight(errorMemberDimensions16,AerrorMemberDimensions16)),
proweb_call(fixshighlight(errorMemberDimensions17,AerrorMemberDimensions17)).

/* Attached or Intersecting Member Dimensions */
/* Title: Attached or Intersecting Member Dimensions */
finds_form2_title_file(attachMemberDimensions1,   `Attached or Intersecting Member Dimensions Input Form`,    'white.htm' ).
finds_form2_footer(attachMemberDimensions1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Attached or Intersecting Member Dimensions`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,`  Design Dimensions `,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions10,/b,/td,
               td,b,`Length:`,/b,/td,
               td,b,?attachMemberDesignLength_input,/b,/td,
               td,b@AattachMemberDimensions1_3,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions11,/b,/td,
               td,b,`Width:`,/b,/td,
               td,b,?attachMemberDesignWidth_input,/b,/td,
               td,b@AattachMemberDimensions1_6,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions12,/b,/td,
               td,b,`Thickness:`,/b,/td,
               td,b,?attachMemberDesignThickness_input,/b,/td,
               td,b@AattachMemberDimensions1_9,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions13,/b,/td,
               td,b,`Edge Type:`,/b,/td,
               td,b,?attachMemberDesignEdgeType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Actual Dimensions`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions14,/b,/td,
               td,b,`Length:`,/b,/td,
               td,b,?attachMemberActualLength_input,/b,/td,
               td,b@AattachMemberDimensions1_15,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions15,/b,/td,
               td,b,`Width:`,/b,/td,
               td,b,?attachMemberActualWidth_input,/b,/td,
               td,b@AattachMemberDimensions1_18,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions16,/b,/td,
               td,b,`Thickness:`,/b,/td,
               td,b,?attachMemberActualThickness_input,/b,/td,
               td,b@AattachMemberDimensions1_21,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AattachMemberDimensions17,/b,/td,
               td,b,`Edge Type:`,/b,/td,
               td,b,?attachMemberActualEdgeType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ) :- 
proweb_call(fixsunits(attachMemberDimensions1_3,AattachMemberDimensions1_3)),
proweb_call(fixsunits(attachMemberDimensions1_6,AattachMemberDimensions1_6)),
proweb_call(fixsunits(attachMemberDimensions1_9,AattachMemberDimensions1_9)),
proweb_call(fixsunits(attachMemberDimensions1_15,AattachMemberDimensions1_15)),
proweb_call(fixsunits(attachMemberDimensions1_18,AattachMemberDimensions1_18)),
proweb_call(fixsunits(attachMemberDimensions1_21,AattachMemberDimensions1_21)),
proweb_call(fixshighlight(attachMemberDimensions10,AattachMemberDimensions10)),
proweb_call(fixshighlight(attachMemberDimensions11,AattachMemberDimensions11)),
proweb_call(fixshighlight(attachMemberDimensions12,AattachMemberDimensions12)),
proweb_call(fixshighlight(attachMemberDimensions13,AattachMemberDimensions13)),
proweb_call(fixshighlight(attachMemberDimensions14,AattachMemberDimensions14)),
proweb_call(fixshighlight(attachMemberDimensions15,AattachMemberDimensions15)),
proweb_call(fixshighlight(attachMemberDimensions16,AattachMemberDimensions16)),
proweb_call(fixshighlight(attachMemberDimensions17,AattachMemberDimensions17)).

/* Hole Details #1 */
/* Title: Hole Details */
finds_form2_title_file(holeDetails1,   `Hole Details #1 Input Form`,    'white.htm' ).
finds_form2_footer(holeDetails1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Hole Details #1`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails10,/b,/td,
               td,b,`Hole Type:`,/b,/td,
               td,b,?holeDetailsType_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails11,/b,/td,
               td,b,`Boring Procedure:`,/b,/td,
               td,b,?holeDetailsHoleBoringProcedure_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails12,/b,/td,
               td,b,`Number with Errors:`,/b,/td,
               td,b,?holeDetailsNumberWithErrors_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails13,/b,/td,
               td,b,`Number in Grouping:`,/b,/td,
               td,b,?holeDetailsNumberInGrouping_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails14,/b,/td,
               td,b,`- Joint Slip Critical ?`,/b,/td,
               td,b,?holeDetailsJointSlipCritical_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails15,/b,/td,
               td,b,`- Partially Drilled Hole(s) ?`,/b,/td,
               td,b,?holeDetailsPartDrilledHole_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails16,/b,/td,
               td,b,`- Slots at Correct Slope ?`,/b,/td,
               td,b,?holeDetailsSlotsAtCorrectSlope_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails17,/b,/td,
               td,b,`- Hole(s) Meet Edge && End Distance Specification ?`,/b,/td,
               td,b,?holeDetailsEdgeEndDistanceSpecification_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):- 
proweb_call(fixshighlight(holeDetails10,AholeDetails10)),
proweb_call(fixshighlight(holeDetails11,AholeDetails11)),
proweb_call(fixshighlight(holeDetails12,AholeDetails12)),
proweb_call(fixshighlight(holeDetails13,AholeDetails13)),
proweb_call(fixshighlight(holeDetails14,AholeDetails14)),
proweb_call(fixshighlight(holeDetails15,AholeDetails15)),
proweb_call(fixshighlight(holeDetails16,AholeDetails16)),
proweb_call(fixshighlight(holeDetails17,AholeDetails17)).

/* Hole Details #2 */
/* Title: Hole Details - Dimensions */
finds_form2_title_file(holeDetails2,   `Hole Details #2 Input Form`,    'white.htm' ).
finds_form2_footer(holeDetails2,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Hole Details #2`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,`  Design Dimensions `,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails20,/b,/td,
               td,b,`Bolt Diameter:`,/b,/td,
               td,b,?holeDetailsSpecifiedBoltDiameter_input,/b,/td,
               td,b@AholeDetails2_3,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails21,/b,/td,
               td,b,`Hole Diameter:`,/b,/td,
               td,b,?holeDetailsSpecifiedHoleDiameter_input,/b,/td,
               td,b@AholeDetails2_6,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails22,/b,/td,
               td,b,`Long. Spacing:`,/b,/td,
               td,b,?holeDetailsSpecifiedLongHoleSpacing_input,/b,/td,
               td,b@AholeDetails2_9,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails23,/b,/td,
               td,b,`Trans. Spacing:`,/b,/td,
               td,b,?holeDetailsSpecifiedTransverseHoleSpacing_input,/b,/td,
               td,b@AholeDetails2_12,/b,/td,
               /tr,
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Actual Dimensions`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails24,/b,/td,
               td,b,`Bolt Diameter:`,/b,/td,
               td,b,?holeDetailsActualBoltDiameter_input,/b,/td,
               td,b@AholeDetails2_16,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails25,/b,/td,
               td,b,`Hole Diameter:`,/b,/td,
               td,b,?holeDetailsActualHoleDiameter_input,/b,/td,
               td,b@AholeDetails2_19,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails26,/b,/td,
               td,b,`Long. Spacing:`,/b,/td,
               td,b,?holeDetailsActualLongHoleSpacing_input,/b,/td,
               td,b@AholeDetails2_22,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails27,/b,/td,
               td,b,`Trans. Spacing:`,/b,/td,
               td,b,?holeDetailsActualTransverseHoleSpacing_input,/b,/td,
               td,b@AholeDetails2_25,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails28,/b,/td,
               td,b,`Elongation:`,/b,/td,
               td,b,?holeDetailsActualHoleElongation_input,/b,/td,
               td,b@AholeDetails2_28,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(holeDetails2_3,AholeDetails2_3)),
proweb_call(fixsunits(holeDetails2_6,AholeDetails2_6)),
proweb_call(fixsunits(holeDetails2_9,AholeDetails2_9)),
proweb_call(fixsunits(holeDetails2_12,AholeDetails2_12)),
proweb_call(fixsunits(holeDetails2_16,AholeDetails2_16)),
proweb_call(fixsunits(holeDetails2_19,AholeDetails2_19)),
proweb_call(fixsunits(holeDetails2_22,AholeDetails2_22)),
proweb_call(fixsunits(holeDetails2_25,AholeDetails2_25)),
proweb_call(fixsunits(holeDetails2_28,AholeDetails2_28)),
proweb_call(fixshighlight(holeDetails20,AholeDetails20)),
proweb_call(fixshighlight(holeDetails21,AholeDetails21)),
proweb_call(fixshighlight(holeDetails22,AholeDetails22)),
proweb_call(fixshighlight(holeDetails23,AholeDetails23)),
proweb_call(fixshighlight(holeDetails24,AholeDetails24)),
proweb_call(fixshighlight(holeDetails25,AholeDetails25)),
proweb_call(fixshighlight(holeDetails26,AholeDetails26)),
proweb_call(fixshighlight(holeDetails27,AholeDetails27)),
proweb_call(fixshighlight(holeDetails28,AholeDetails28)).


/* Hole Details #3 */
/* Title: Hole Details - Partially Drilled Hole(s) */
finds_form2_title_file(holeDetails3,   `Hole Details #3 Input Form`,    'white.htm' ).
finds_form2_footer(holeDetails3,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Hole Details #3`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails30,/b,/td,
               td,b,`Hole Depth:`,/b,/td,
               td,b,?holeDetailsPartDrilledHoleDepth_input,/b,/td,
               td,b@AholeDetails3_2,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails31,/b,/td,
               td,b,`Hole Diameter:`,/b,/td,
               td,b,?holeDetailsPartDrilledHoleDiameter_input,/b,/td,
               td,b@AholeDetails3_5,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDetails32,/b,/td,
               td,b,`Coverage of Specified Hole:`,/b,/td,
               td,b,?holeDetailsPartDrilledHoleCoverage_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):-
proweb_call(fixsunits(holeDetails3_2,AholeDetails3_2)),
proweb_call(fixsunits(holeDetails3_5,AholeDetails3_5)),
proweb_call(fixshighlight(holeDetails30,AholeDetails30)),
proweb_call(fixshighlight(holeDetails31,AholeDetails31)),
proweb_call(fixshighlight(holeDetails32,AholeDetails32)).



/* Hole Distance */
/* Title: Hole Distance */
finds_form2_title_file(holeDistance1,   `Hole Distance Input Form`,    'white.htm' ).
finds_form2_footer(holeDistance1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Hole Distance`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDistance10,/b,/td,
               td,b,`Error Member:`,/b,/td,
               td,b,?holeDistanceFromErrorMember_input,/b,/td,
               td,b@AholeDistance1_3,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDistance11,/b,/td,
               td,b,`Intersecting Member:`,/b,/td,
               td,b,?holeDistanceFromIntersectingMember_input,/b,/td,
               td,b@AholeDistance1_6,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDistance12,/b,/td,
               td,b,`Member Edge:`,/b,/td,
               td,b,?holeDistanceFromEdge_input,/b,/td,
               td,b@AholeDistance1_9,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AholeDistance13,/b,/td,
               td,b,`Member End:`,/b,/td,
               td,b,?holeDistanceFromEnd_input,/b,/td,
               td,b@AholeDistance1_12,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):- 
proweb_call(fixsunits(holeDistance1_3,AholeDistance1_3)),
proweb_call(fixsunits(holeDistance1_6,AholeDistance1_6)),
proweb_call(fixsunits(holeDistance1_9,AholeDistance1_9)),
proweb_call(fixsunits(holeDistance1_12,AholeDistance1_12)),
proweb_call(fixshighlight(holeDistance10,AholeDistance10)),
proweb_call(fixshighlight(holeDistance11,AholeDistance11)),
proweb_call(fixshighlight(holeDistance12,AholeDistance12)),
proweb_call(fixshighlight(holeDistance13,AholeDistance13)).


/* Mislocated Hole */
/* Title: Mislocated Hole(s) */
finds_form2_title_file(mislocatedHole1,   `Mislocated Hole Input Form`,    'white.htm' ).
finds_form2_footer(mislocatedHole1,
              [p,table(border='1',cellspacing='0',cellpadding='3'),
               tr(bgcolor='#C0FFFF'),
               td(colspan='4'),b,` Mislocated Hole`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b,`-`,/b,/td,
               td,b,`Ask Why:`,/b,/td,
                td,b,???about_why,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole10,/b,/td,
               td,b,`Distance to Correct Location:`,/b,/td,
               td,b,?mislocatedHoleDistanceCorrectLocation_input,/b,/td,
               td,b@AmislocatedHole1_2,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole11,/b,/td,
               td,b,`- Hole(s) Placed in Wrong Flange ?`,/b,/td,
               td,b,?mislocatedHoleIncorrectFlange_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole12,/b,/td,
               td,b,`- Reinforcing Steel Hole(s) ?`,/b,/td,
               td,b,?mislocatedHoleReinforcingSteelHole_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole13,/b,/td,
               td,b,`- Error Due to Additional Row Bored ?`,/b,/td,
               td,b,?mislocatedHoleAdditionalRowHolesDrilled_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole14,/b,/td,
               td,b,`- Hole(s) Meet Edge && End Distance Specification ?`,/b,/td,
               td,b,?mislocatedHoleEdgeEndDistanceSpecification_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole15,/b,/td,
               td,b,`- Intersection at Current Location ?`,/b,/td,
               td,b,?mislocatedHoleIntersectionCurrentPosition_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole16,/b,/td,
               td,b,`- Specified Hole Pattern Bored Correctly ?`,/b,/td,
               td,b,?mislocatedHoleSpecifiedHolePatternCorrect_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole17,/b,/td,
               td,b,`- Hole Pattern Interferes with Specified Pattern ?`,/b,/td,
               td,b,?mislocatedHoleInterfereWithSpecifiedPattern_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,
               tr(bgcolor='#FFFFC0'),
               td,b@AmislocatedHole18,/b,/td,
               td,b,`- Intersection with Additional Bolt Line ?`,/b,/td,
               td,b,?mislocatedHoleIntersectionNewPosition_input,/b,/td,
               td,b,`-`,/b,/td,
               /tr,/table,p,
               input(type='submit',name=forsubmit,value=`Submit`),
            p(align='center') @ include('link_hp.htm')
          ]
        ):- 
proweb_call(fixsunits(mislocatedHole1_2,AmislocatedHole1_2)),
proweb_call(fixshighlight(mislocatedHole10,AmislocatedHole10)),
proweb_call(fixshighlight(mislocatedHole11,AmislocatedHole11)),
proweb_call(fixshighlight(mislocatedHole12,AmislocatedHole12)),
proweb_call(fixshighlight(mislocatedHole13,AmislocatedHole13)),
proweb_call(fixshighlight(mislocatedHole14,AmislocatedHole14)),
proweb_call(fixshighlight(mislocatedHole15,AmislocatedHole15)),
proweb_call(fixshighlight(mislocatedHole16,AmislocatedHole16)),
proweb_call(fixshighlight(mislocatedHole17,AmislocatedHole17)),
proweb_call(fixshighlight(mislocatedHole18,AmislocatedHole18)).


proweb_question(coatingtemperature_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(coatingtemperature_input(MyString)).
proweb_question(errorMemberDesignLength_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(errorMemberDesignLength_input(MyString)).
proweb_question(errorMemberDesignWidth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(errorMemberDesignWidth_input(MyString)).
proweb_question(errorMemberDesignThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(errorMemberDesignThickness_input(MyString)).
proweb_question(errorMemberActualLength_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(errorMemberActualLength_input(MyString)).
proweb_question(errorMemberActualWidth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(errorMemberActualWidth_input(MyString)).
proweb_question(errorMemberActualThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(errorMemberActualThickness_input(MyString)).
proweb_question(attachMemberDesignLength_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(attachMemberDesignLength_input(MyString)).
proweb_question(attachMemberDesignWidth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(attachMemberDesignWidth_input(MyString)).
proweb_question(attachMemberDesignThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(attachMemberDesignThickness_input(MyString)).
proweb_question(attachMemberActualLength_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(attachMemberActualLength_input(MyString)).
proweb_question(attachMemberActualWidth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(attachMemberActualWidth_input(MyString)).
proweb_question(attachMemberActualThickness_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(attachMemberActualThickness_input(MyString)).
proweb_question(holeDetailsNumberWithErrors_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsNumberWithErrors_input(MyString)).
proweb_question(holeDetailsNumberInGrouping_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsNumberInGrouping_input(MyString)).
proweb_question(holeDetailsSpecifiedBoltDiameter_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsSpecifiedBoltDiameter_input(MyString)).
proweb_question(holeDetailsSpecifiedHoleDiameter_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsSpecifiedHoleDiameter_input(MyString)).
proweb_question(holeDetailsSpecifiedLongHoleSpacing_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsSpecifiedLongHoleSpacing_input(MyString)).
proweb_question(holeDetailsSpecifiedTransverseHoleSpacing_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsSpecifiedTransverseHoleSpacing_input(MyString)).
proweb_question(holeDetailsActualBoltDiameter_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsActualBoltDiameter_input(MyString)).
proweb_question(holeDetailsActualHoleDiameter_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsActualHoleDiameter_input(MyString)).
proweb_question(holeDetailsActualLongHoleSpacing_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsActualLongHoleSpacing_input(MyString)).
proweb_question(holeDetailsActualTransverseHoleSpacing_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsActualTransverseHoleSpacing_input(MyString)).
proweb_question(holeDetailsActualHoleElongation_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsActualHoleElongation_input(MyString)).
proweb_question(holeDetailsPartDrilledHoleDepth_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsPartDrilledHoleDepth_input(MyString)).
proweb_question(holeDetailsPartDrilledHoleDiameter_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsPartDrilledHoleDiameter_input(MyString)).
proweb_question(holeDetailsPartDrilledHoleCoverage_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDetailsPartDrilledHoleCoverage_input(MyString)).
proweb_question(holeDistanceFromErrorMember_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDistanceFromErrorMember_input(MyString)).
proweb_question(holeDistanceFromIntersectingMember_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDistanceFromIntersectingMember_input(MyString)).
proweb_question(holeDistanceFromEdge_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDistanceFromEdge_input(MyString)).
proweb_question(holeDistanceFromEnd_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(holeDistanceFromEnd_input(MyString)).
proweb_question(mislocatedHoleDistanceCorrectLocation_input,[method=input,type=string,prefill=MyString,cols=30]):- proweb_call(mislocatedHoleDistanceCorrectLocation_input(MyString)).

proweb_question(errorStageErrorMemberAttached_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(errorStageErrorMemberAttached_input(AllStrings,AllValues,Strings,Value)).
proweb_question(errorStageOccured_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(errorStageOccured_input(AllStrings,AllValues,Strings,Value)).
proweb_question(errorStageFound_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(errorStageFound_input(AllStrings,AllValues,Strings,Value)).
proweb_question(errorMemberDesignEdgeType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(errorMemberDesignEdgeType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(errorMemberActualEdgeType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(errorMemberActualEdgeType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(attachMemberDesignEdgeType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(attachMemberDesignEdgeType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(attachMemberActualEdgeType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(attachMemberActualEdgeType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(holeDetailsType_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(holeDetailsType_input(AllStrings,AllValues,Strings,Value)).
proweb_question(holeDetailsHoleBoringProcedure_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(holeDetailsHoleBoringProcedure_input(AllStrings,AllValues,Strings,Value)).

proweb_question(holeDetailsJointSlipCritical_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(holeDetailsJointSlipCritical_input(AllStrings,AllValues,Strings,Value)).
proweb_question(holeDetailsPartDrilledHole_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(holeDetailsPartDrilledHole_input(AllStrings,AllValues,Strings,Value)).
proweb_question(holeDetailsSlotsAtCorrectSlope_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(holeDetailsSlotsAtCorrectSlope_input(AllStrings,AllValues,Strings,Value)).
proweb_question(holeDetailsEdgeEndDistanceSpecification_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(holeDetailsEdgeEndDistanceSpecification_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleIncorrectFlange_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleIncorrectFlange_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleReinforcingSteelHole_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleReinforcingSteelHole_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleAdditionalRowHolesDrilled_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleAdditionalRowHolesDrilled_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleEdgeEndDistanceSpecification_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleEdgeEndDistanceSpecification_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleIntersectionCurrentPosition_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleIntersectionCurrentPosition_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleSpecifiedHolePatternCorrect_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleSpecifiedHolePatternCorrect_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleInterfereWithSpecifiedPattern_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleInterfereWithSpecifiedPattern_input(AllStrings,AllValues,Strings,Value)).
proweb_question(mislocatedHoleIntersectionNewPosition_input,[method=menubox,select=AllStrings,prefill=Strings,infix=br]):- proweb_call(mislocatedHoleIntersectionNewPosition_input(AllStrings,AllValues,Strings,Value)).
